;***************************************
; Affichage du tableau d'informations
;***************************************
	IFND ti89
board_info		MACRO
	move.l		plane0,a0
	move.l		plane1,a1
	lea		board,a2
	move.l		a2,a3
	add		#10*128,a3
	move.w	#127,d0
\start_board_info
	move.w	#4,d1
\secondary_board:
	move.w	(a2)+,(a0)+
	move.w	(a3)+,(a1)+
	dbra		d1,\secondary_board
	lea		20(a0),a0
	lea		20(a1),a1
	dbra		d0,\start_board_info
	ENDM
	ENDIF

	IFD ti89
board_info		MACRO
	move.l		plane0,a0
	move.l		plane1,a1
	add		#30*94,a0
	add		#30*94,a1
	move.w	#30*6-1,d0
\boucle_go
	move.w	#$FFFF,(a0)+
	move.w	#0,(a1)+
	dbra		d0,\boucle_go
	ENDM
	ENDIF

; ***********************************
; Attente de la mort des ennemis *
; ***********************************

wait_kill			MACRO
	move.b	kill_all,d0
	tst.b		d0
	beq		no_waitkill
	move.w	position_niveau,d0
	sub		#1,d0
	move.w	d0,position_niveau

; Vrification
	lea		ennemy_info,a0
	move.b	#1,d2
	move.w	#14,d0
start_kill:
	move.w	(a0),d1
	tst.w		d1
	beq		suite_kill
	clr.b		d2
suite_kill:
	add		#12,a0
	dbra.b		d0,start_kill
	tst.b		d2
	beq		no_waitkill	
	move.b	#0,kill_all
no_waitkill:
	ENDM

; ****************************
; Transition entre niveaux *
; ****************************

transition_niveau:
	move.l			save_add1,a0
	move.l			save_add2,a1
	lea			2(a0),a0
	lea			2(a1),a1
	move.w		#127,d6
\clearscreen
	move.l			#0,(a0)+
	move.l			#0,(a1)+
	move.l			#0,(a0)+
	move.l			#0,(a1)+
	move.l			#0,(a0)+
	move.l			#0,(a1)+
	move.l			#0,(a0)+
	move.l			#0,(a1)+
	move.l			#0,(a0)+
	move.l			#0,(a1)+
	lea			4(a0),a0
	lea			4(a1),a1
	lea			10(a2),a2
	lea			10(a3),a3
	dbra.b			d6,\clearscreen
	copy_vmem_to_tscr

Vague_1:
	move.l		#79,d1		; Vague 1
\go_fondu_y
	move.l		#9,d0
\go_fondu_x
	move.l		d0,d6
	move.l		d1,d7
	lsl		#1,d1
	add		#1,d1
	add		#1,d0
	lsl		#4,d0
	lea		fondu_1,a0
	bsr		putsprite
	copy_vmem_to_tscr
	move.l		d6,d0
	move.l		d7,d1
	dbra		d0,\go_fondu_x
	dbra		d1,\go_fondu_y

Vague_2:
	move.l		#79,d1		; Vague 2
\go_fondu_y
	move.l		#9,d0
\go_fondu_x
	move.l		d0,d6
	move.l		d1,d7
	lsl		#1,d1
	add		#1,d1
	add		#1,d0
	lsl		#4,d0
	lea		fondu_2,a0
	bsr		putsprite
	copy_vmem_to_tscr
	move.l		d6,d0
	move.l		d7,d1
	dbra		d0,\go_fondu_x
	dbra		d1,\go_fondu_y

ship_move:
	move.l		#140,d1
\ship_up
	move.l		d1,d7
	add		#17,d1
	move.l		#88,d0
	move.l			save_add1,a0		; Effacer trainee
	move.l			save_add2,a1
	lea			2(a0),a0
	lea			2(a1),a1
	move.w		#127,d6
\clearscreen
	move.l			#0,(a0)+
	move.l			#0,(a1)+
	move.l			#0,(a0)+
	move.l			#0,(a1)+
	move.l			#0,(a0)+
	move.l			#0,(a1)+
	move.l			#0,(a0)+
	move.l			#0,(a1)+
	move.l			#0,(a0)+
	move.l			#0,(a1)+
	lea			4(a0),a0
	lea			4(a1),a1
	lea			10(a2),a2
	lea			10(a3),a3
	dbra.b			d6,\clearscreen
	move.l		ship_table,a0
	bsr		putsprite
	copy_vmem_to_tscr
	move.l		d7,d1
	dbra		d1,\ship_up
	rts

; ****************************
; Dmarrage d'un ennemi *
; ****************************

start_ennemy		MACRO

deb:
	move.l		niveau_run,a0
	add		#2,a0
	move.w	position_niveau,d0
	move.w	position_table_niv,d1
	move.w	d1,d2
	lsl.w		#3,d2	; Position de la table niveau * 8
	add.w		d2,a0
	move.w	d1,d2
	lsl.w		#1,d2	; Position de la table niveau * 2
	add.w		d2,a0
	move.w	(a0),d3
	cmp		d0,d3
	bne		fin_place_ennemy

	lea		ennemy_info,a1
	move.w	#14,d3
boucle_niveau:
	move.w	(a1),d4
	tst.b		d4
	bne		no_place_ennemy

; Placer un ennemi
	move.w	#1,(a1)
	move.l		2(a0),d0
	move.l		d0,2(a1)
	move.w	6(a0),d0
	move.w	d0,6(a1)
	move.b	8(a0),d0
	move.b	d0,9(a1)
	move.b	9(a0),d0
	move.b	d0,10(a1)
	move.b	#0,11(a1)

	move.b	5(a0),d0
	cmp.b		#2,d0
	bne		no_change_x
;change_x
	move.l		xship,d0
	move.b	d0,6(a1)
no_change_x:

	move.b	5(a0),d0
	cmp.b		#4,d0
	bne		no_kill
;kill
	move.w	#0,(a1)
	move.b	#1,kill_all
no_kill:

	add		#1,d1
	move.w	d1,position_table_niv
	bra		no_showennemy

no_place_ennemy:
	add		#12,a1
	dbra.b		d3,boucle_niveau

no_showennemy:
	move.w	position_niveau,d1
	move.w	(a0),d0
	cmp.w		#$FFFF,d0
	beq		fin_place_ennemy
	move.w	10(a0),d0
	cmp.w		d0,d1
	beq		deb
fin_place_ennemy:

	ENDM

; **********************************************
; Routine de collision entre tirs & ennemis *
; **********************************************

collision_tirs_vs_ennemis		MACRO

	movem.l	a0-a2/d0-d7,-(a7)


	; D0-D4 = Coordonnes X - ennemi
	; D1-D5 = Coordonnes Y - ennemi
	; D2-D4 = Coordonnes X - tir
	; D3-D5 = Coordonnes Y - tir
	; D6 = Type de vaisseau ennemi

	; A3 = Position dans la table de l'ennemi

	lea		xfire,a1
	lea		yfire,a2

	move.b	#2,d7

boucle_ennemis:

	movem.l	d0-d1,-(a7)	; D0 = X0
					; D1 = Y0
	move.l		xship,d2
	move.l		yship,d3

	move.b	d0,d4
	sub		#10,d0		; D0 = X0 - 6
	add		#7,d4		; D4 = X0 + 22

	move.b	d1,d5
	sub		#13,d1
	add		#13,d5

	tst.b		d6
	beq		no_correct_XY1
	add		#22,d4
	add		#13,d5
no_correct_XY1:

	cmp.b		d2,d0
	bls		cond1ok
	bra		nocollision
cond1ok:
	cmp.b		d2,d4
	bhi		cond2ok
	bra		nocollision
cond2ok:
	cmp.b		d3,d1
	bls		cond3ok
	bra		nocollision
cond3ok:
	cmp.b		d3,d5
	bhi		collision
	bra		nocollision
collision:
	move.b		9(a3),d0
	tst.b		d0
	beq		nocollision
	move.w		#1,perduint
nocollision:

	tst.b		d2
	beq		no_collision

	movem.l	(a7),d0-d1

	move.w	(a1),d2	; D2 = X1
	move.w	(a2),d3	; D3 = Y1

	move.b	d0,d4
	sub		#13,d0		; D0 = X0 - 16
	add		#17,d4		; D4 = X0 + 24

	move.b		d1,d5
	sub		#10,d1
	add		#16,d5		; D5 = Y0 + 13

	tst.b		d6
	beq		no_correct_XY2
	add		#16,d4
	add		#16,d5
no_correct_XY2:

	move.w		d6,-(a7)
	move.b		fire_type,d6
	tst.b		d6
	bne		no_correctionfire

	add		#6,d0
	sub		#6,d4

no_correctionfire:

	move.w		(a7)+,d6

	cmp.b		d2,d0
	bls		cond1_ok
	bra		no_collision
cond1_ok:
	cmp.b		d2,d4
	bhi		cond2_ok
	bra		no_collision
cond2_ok:
	cmp.b		d3,d1
	bls		cond3_ok
	bra		no_collision
cond3_ok:
	cmp.b		d3,d5
	bhi		condfinal_ok
	bra		no_collision
condfinal_ok:

	move.b		10(a3),d0
	tst.b		d0
	beq		no_bonuss

	move.b		9(a3),d0
	move.b		damage,d1
	cmp		d1,d0
	bhi		no_bonuss

	place_bonus

no_bonuss:

	move.b		9(a3),d0
	tst.b		d0
	beq		no_collision

	clr.b		d2
	move.b	damage,d1
	cmp		d1,d0
	bls		no_low
	sub		d1,d0
	move.b	d0,9(a3)
	move.b	#1,d2
	bra		no_boss
no_low:
	move.b	5(a3),d0		; Mort d'un boss
	cmp.b		#5,d0
	bne		no_boss
	move.l		score_hex,d5
	add		#20,d0
	move.l		d5,score_hex
	bsr		convert_score
	bsr		Put_score
	lea		60(a7),a7
	bsr		transition_niveau

	reinit_variables			; Reset pour nouveau jeu
	move.l		current_level,d0	; Charge level suivant
	add		#1,d0
	move.l		d0,current_level
	bsr		initialize_level
	board_info				; Tableau d'informations
	put_life				; Affichage des vies
	bsr		convert_score
	bsr		Put_score
	bra		main_boucle

no_boss:

	move.l		score_hex,d5
	add		#2,d5
	move.l		d5,score_hex
	bsr		convert_score
	bsr		Put_score
	move.b	#1,type_explode
	tst.b		d2
	bne		exception_system
	move.b	#2,type_explode
	move.w	#0,(a3)
exception_system:
	move.w	(a1),d3
	move.w	#0,(a1)
	move.w	#0,(a2)
	lea		explod_coord,a0
	move.w	d6,d4
	move.b	#14,d5
place_explode:
	move.b	(a0),d6
	tst.b		d6
	bne		noplace_free
;place_free
	movem.l	(a7),d0-d1
	sub		#8,d0
	sub		#8,d1
	move.b	type_explode,d2
	tst.b		d4
	beq		small_explode
	add		#8,d0
	add		#24,d1
	cmp.b		#1,d2
	beq		small_explode
	sub		#16,d1
small_explode:
	cmp.b		#2,d2
	beq		nocoord_reflec
	move.w	d3,d0
	sub		#8,d0
nocoord_reflec:
	move.b	d2,(a0)
	move.b	d0,1(a0)
	move.b	d1,2(a0)
	move.b	#0,3(a0)
	bra		fin_test_collision
noplace_free:
	add		#4,a0
	dbra.b		d5,place_explode

no_collision:

	movem.l	(a7)+,d0-d1

	dbra.b		d7,boucle_ennemis

	bra		fin_normal
fin_test_collision:
	movem.l	(a7)+,d0-d1

fin_normal
	movem.l	(a7)+,a0-a2/d0-d7

	ENDM

; *****************************
; Affichage d'une explosion *
; *****************************

put_explode		MACRO

	lea		explod_coord,a3
	move.l		#14,d7
put_explode:
	move.b	(a3),d3
	tst.b		d3
	beq		noput
;put_free

	cmp.b		#1,d3
	beq		reflection
	lea		explode_anim,a0
	bra		suite_calcanim
reflection:
	lea		reflection_anim,a0
suite_calcanim:
	move.b	#4,d0
	move.b	3(a3),d1
	bsr		calcul_anim
	cmp.b		#15,d1
	bne		no_reset_explosion
	move.b	#0,(a3)
no_reset_explosion:
	move.b	d1,3(a3)
	clr.l		d0
	clr.l		d1
	move.b	1(a3),d0
	move.b	2(a3),d1
	move.l		save_add1,a1
	move.l		save_add2,a2
	jsr		putsprite

noput:
	add		#4,a3

	dbra.b		d7,put_explode

	ENDM

; *****************************
; Affichage d'un bonus en mmoire  *
; *****************************

place_bonus		MACRO
	movem.l		(a7),d0-d1
	lea		misc_info,a6
	move.b		d0,(a6)
	move.b		d1,1(a6)
	ENDM

; ****************************************
; Retrancher la puissance de l'arme  *
; ****************************************

retirer_arme		MACRO
	move.b		fire_type,d0
	tst.b		d0
	beq		no_decrease
	cmp.b		#1,d0
	bhi		no_decrease_1
	move.b		#0,fire_type
	bra		no_decrease
no_decrease_1:
	sub		#2,d0
	move.b		d0,fire_type
no_decrease:
	ENDM

; ***********************
; Convertir le score   *
; ***********************

convert_score:
	movem.l		d0-d2/a0,-(a7)	
	lea			score,a0
	move.b		#$30,6(a0)
	move.b		#$30,5(a0)
	add			#5,a0			; Buffer de Score Initialiser
	move.l			score_hex,d0		; Score  convertir
	move.w		#4,d1			; On a 7 cases  remplir !
\convert
	divu			#10,d0			; Un divu ? Peut-tre un 13/128, and #9...;
	move.l			d0,d2
	swap	 		d2
	add.b			#48,d2
	move.b  		d2,-(a0)
	andi.l			#$0000FFFF,d0
	dbra			d1,\convert
	movem.l		(a7)+,d0-d2/a0
	rts

; ********************
; Afficher le score   *
; ********************

Put_score:
	movem.l		d0-d7/a0-a6,-(a7)
	IFND ti89
	move.w		#30,Taille_ecran
	lea			score,a2
	move.w		#156,d0
	move.w		#51,d1
	move.b		#0,d2
	ENDIF
	IFD ti89
	move.w		#30,Taille_ecran
	lea			texte_score,a2
	move.w		#38,d0
	move.w		#89,d1
	move.b		#2,d2
	move.l			plane0,a0
	move.l			plane1,a1
	bsr			put_string
	move.w		#30,Taille_ecran
	lea			score,a2
	move.w		#72,d0
	move.w		#89,d1
	move.b		#2,d2
	ENDIF
	move.l			plane0,a0
	move.l			plane1,a1
	bsr			put_string
	movem.l		(a7)+,d0-d7/a0-a6
	rts

; *************************************
; Idle_loop Hardware
; *************************************

get_key:
	move.b	old_key,d2
	move.b	key,d3
	cmp.b		d2,d3
	beq		\attente
	btst.b		d1,d3
	rts
\attente
	move.b	#1,d2
	tst.b		d2
	rts

; **************************************************
; Dplacement Bonus, collision et affichage     *
; **************************************************

move_bonus		MACRO
	lea		misc_info,a0
	move.b	(a0),d0
	tst.b		d0
	beq		no_bonus

	move.b		1(a0),d1
	cmp.b		#158,d1
	bhi		sorti_buffer

	move.l		xship,d2
	move.l		yship,d3

	move.b		d0,d4
	move.b		d1,d5

	sub		#13,d0		; D0 = X0 - 16
	add		#17,d4		; D4 = X0 + 24

	sub		#10,d1
	add		#16,d5		; D5 = Y0 + 13

no_correct_XY2bon:

	cmp.b		d2,d0
	bls		cond1_okbon
	bra		no_collisionbon
cond1_okbon:
	cmp.b		d2,d4
	bhi		cond2_okbon
	bra		no_collisionbon
cond2_okbon:
	cmp.b		d3,d1
	bls		cond3_okbon
	bra		no_collisionbon
cond3_okbon:
	cmp.b		d3,d5
	bhi		condfinal_okbon
	bra		no_collisionbon
condfinal_okbon:
	move.l		score_hex,d5
	add		#10,d5
	move.l		d5,score_hex
	bsr		convert_score
	bsr		Put_score
	move.b	#0,(a0)
	move.b	fire_type,d0
	add		#1,d0
	move.b	d0,fire_type
	bra		no_bonus
no_collisionbon:

	lea		misc_info,a1
	lea		bonus,a0
	move.b	2(a1),d1
	move.w	#1,d0

	bsr		calcul_anim

	move.b	d1,2(a1)

	clr.l		d0
	clr.l		d1
	move.b	1(a1),d1
	add		#1,d1
	move.b	d1,1(a1)
	move.b	(a1),d0
	move.l		save_add1,a1
	move.l		save_add2,a2
	jsr		putsprite

	bra		no_bonus
sorti_buffer:
	move.b	#0,(a0)

no_bonus:

	ENDM

; *************************************
; Afficher une pause
; *************************************

afficher_pause:
	lea		pause,a0
	move.l		plane0,a1
	move.l		plane1,a2
	IFD		ti89
	add		#30*42+6,a1
	add		#30*42+6,a2
	ENDIF
	IFND		ti89
	add		#30*54+16,a1
	add		#30*54+16,a2
	ENDIF
	move.w	#16,d0
\LOOP_Y
	move.w	#7,d1
\LOOP_X
	move.b	(a0),d2
	or.b		d2,(a1)+
	move.b	(a0)+,(a2)+
	dbra		d1,\LOOP_X
	add		#30-8,a1
	add		#30-8,a2
	dbra		d0,\LOOP_Y

\Pause
	read_key
	IFND ti89
	btst.b		#3,$60001b
	ENDIF
	IFD ti89
	btst.b		#4,$60001b
	ENDIF
	bne		\Pause

	rts