	include	"os.h"
	xdef	_nostub
	xdef	_ti89

; *********************************
; LEVEL 1 de SOLARSTRIKER
; *********************************

; Header File
;***************

; Reconnaissance de la STRING
	dc.l	"SS68"
; Reconnaissance du NIVEAU
	dc.l	"FuLL"
; Nombre de Niveaux du JEU
	dc.w	4

; Pointeur vers la structure d'information du JEU
	dc.l	info_game

; Pointeur de niveau et dclarations
;******************************************

	dc.l	niveau_1
	dc.l	niveau_2
	dc.l	niveau_3
	dc.l	final

; Structure du niveau
;*************************

	; Sprites des ennemis (au moins 1)

	dc.w	17	; Nombre d'ennemis
	dc.l	enn0
	dc.l	enn1
	dc.l	enn2
	dc.l	enn3
	dc.l	enn4
	dc.l	enn5
	dc.l	enn6
	dc.l	enn7
	dc.l	enn8
	dc.l	enn9
	dc.l	enn10
	dc.l	enn11
	dc.l	enn12
	dc.l	enn13
	dc.l	enn14
	dc.l	enn15
	dc.l	enn16

	; Trajectoire des ennemis (au moins 1)

	dc.w	19
	dc.l	traj0	; Nombre de trajectoires
	dc.l	traj1
	dc.l	traj2
	dc.l	traj3
	dc.l	traj4
	dc.l	traj5
	dc.l	traj6
	dc.l	traj7
	dc.l	traj8
	dc.l	traj9
	dc.l	traj10
	dc.l	traj11
	dc.l	traj12
	dc.l	traj13
	dc.l	traj14
	dc.l	traj15
	dc.l	traj16
	dc.l	traj17
	dc.l	traj18

	; Calcul des tirs ennemis (au moins 1)

	dc.w	15
	dc.l	tir0	; Nombre de tables de tirs
	dc.l	tir1
	dc.l	tir2
	dc.l	tir3
	dc.l	tir4
	dc.l	tir5
	dc.l	tir6
	dc.l	tir7
	dc.l	tir8
	dc.l	tir9
	dc.l	tir10
	dc.l	tir11
	dc.l	tir12
	dc.l	tir13
	dc.l	tir14

; ****** Dbut du niveau ******

; LEVEL 1

; *****************************
; * Description d'un niveau *
; *****************************
; 100 ennemis = 1002 octets en mmoire !

niveau_1:

	dc.w	0		; Scroll mode ( 0 = Redmarrer en fin de scrolling (plan 0), 1 = En fonction du timer )

	dc.w	32*23*4	; Moment du reset scrolling1
	dc.w	32*5*2		; Moment du reset scrolling2
	dc.w	32*5		; Moment du reset scrolling3
	dc.l	MosGFX	;background_tiles
	dc.l	MosGFX2	;foreground_tiles
	dc.l	MosData	;background_addr
	dc.l	MosData2	;foreground_addr
	dc.l	MosData3	;sforeground_addr
	dc.w	31		;background_offset
	dc.w	31		;foreground_offset
	dc.w	31		;sforeground_offset
	dc.w	1		;sforeground_itimer
	dc.w	2		;foreground_itimer
	dc.w	4		;background_itimer
	dc.w	1		;sforeground_timer
	dc.w	1		;foreground_timer
	dc.w	1		;background_timer
	dc.w	1		;foreground_enabled

	dc.l	ship		; Vaisseau du niveau

	dc.w	4730		; Taille du niveau

; Multiplication par 10 : ( 2^3 + 2^1 )

;	dc.w	0		; Moment du dpart ( dcal ou simultan )
;	dc.b	0		; Table de mouvement  utiliser ( 0...255 )
;	dc.b	0		; Sprite  utiliser ( 0...255 )
;	dc.b	0		; Table de tirs  utiliser ( 0...255 )
;	dc.b	0		; Type de mouvement
				; 0 = Normal
				; 1 = Raction aux coordonnes Y du vaisseau
				; 2 = Dpart aux coordonnes X du vaisseau
				; 3 = Descente de y pixels, puis boucle jusqu' destruction
				; Des que le systeme observe un mouvement en x, il considre cette
				; partie comme le dbut de la boucle
				; 4 = Bloque le timer jusqu' ce que tous les ennemis soient morts
				; 5 = Idem que 3 mais dclaration de type BOSS
;	dc.b	0		; Position X de dpart
;	dc.b	0		; Nombre d'animations du sprite ( 0...63 )
;	dc.b	0		; Valeur de la protection ( 0 = transparent, 255 = quasi-invincible )
;	dc.b	0		; Item ( 0 = aucun, 1 = arme )

	dc.w	5			; Numro du niveau = 1
	dc.b	8,6,0,0,80,0,0,0

	dc.w	100			; MetaBall Left
	dc.b	0,0,0,0,20,3,1,0
	dc.w	125
	dc.b	0,0,0,0,28,3,1,0
	dc.w	150
	dc.b	0,0,0,0,36,3,1,0
	dc.w	175
	dc.b	0,0,0,0,44,3,1,0
	dc.w	200
	dc.b	0,0,0,0,52,3,1,0
	dc.w	225
	dc.b	0,0,0,0,60,3,1,0
	dc.w	250
	dc.b	0,0,0,0,68,3,1,0
	dc.w	275
	dc.b	0,0,0,0,76,3,1,0

	dc.w	325			; MetaBall Right
	dc.b	1,0,0,0,104,3,1,0
	dc.w	350
	dc.b	1,0,0,0,96,3,1,0
	dc.w	375
	dc.b	1,0,0,0,88,3,1,0
	dc.w	400
	dc.b	1,0,0,0,80,3,1,0
	dc.w	425
	dc.b	1,0,0,0,72,3,1,0
	dc.w	450
	dc.b	1,0,0,0,64,3,1,0
	dc.w	475
	dc.b	1,0,0,0,56,3,1,0
	dc.w	500
	dc.b	1,0,0,0,48,3,1,0

	dc.w	550			; Pumpkins Left
	dc.b	2,1,0,0,0,0,1,0
	dc.w	575
	dc.b	2,1,0,0,1,0,1,0
	dc.w	600
	dc.b	2,1,0,0,2,0,1,0
	dc.w	625
	dc.b	2,1,0,0,3,0,1,0
	dc.w	650
	dc.b	2,1,1,0,4,0,1,0
	dc.w	675
	dc.b	2,1,2,0,5,0,1,0
	dc.w	700
	dc.b	2,1,3,0,6,0,1,0
	dc.w	725
	dc.b	2,1,4,0,7,0,1,0

	dc.w	825			; Pumpkins Right
	dc.b	3,1,0,0,7,0,1,0
	dc.w	850
	dc.b	3,1,0,0,6,0,1,0
	dc.w	875
	dc.b	3,1,0,0,5,0,1,0
	dc.w	900
	dc.b	3,1,0,0,4,0,1,0
	dc.w	925
	dc.b	3,1,1,0,3,0,1,0
	dc.w	950
	dc.b	3,1,2,0,2,0,1,0
	dc.w	975
	dc.b	3,1,3,0,1,0,1,0
	dc.w	1000
	dc.b	3,1,4,0,0,0,1,0

	dc.w	1100			; Bonus
	dc.b	8,5,0,0,88,0,1,1

	dc.w	1200			; MetaBall Left + Harrier Right
	dc.b	0,0,0,0,20,3,1,0
	dc.w	1210
	dc.b	4,2,0,1,150,0,1,0
	dc.w	1250
	dc.b	0,0,0,0,28,3,1,0
	dc.w	1260
	dc.b	4,2,0,1,150,0,1,0
	dc.w	1300
	dc.b	0,0,0,0,36,3,1,0
	dc.w	1310
	dc.b	4,2,0,1,150,0,1,0
	dc.w	1350
	dc.b	0,0,5,0,44,3,1,0
	dc.w	1360
	dc.b	4,2,5,1,150,0,1,0
	dc.w	1400
	dc.b	0,0,5,0,52,3,1,0
	dc.w	1410
	dc.b	4,2,5,1,150,0,1,0
	dc.w	1450
	dc.b	0,0,5,0,60,3,1,0
	dc.w	1460
	dc.b	4,2,5,1,150,0,1,0

	dc.w	1500			; Harrier Left + Pumpkins Right
	dc.b	2,1,0,0,1,0,1,0
	dc.w	1510
	dc.b	4,2,0,1,26,0,1,0
	dc.w	1550
	dc.b	2,1,0,0,1,0,1,0
	dc.w	1560
	dc.b	4,2,0,1,26,0,1,0
	dc.w	1600
	dc.b	2,1,0,0,1,0,1,0
	dc.w	1610
	dc.b	4,2,0,1,26,0,1,0
	dc.w	1650
	dc.b	2,1,1,0,1,0,1,0
	dc.w	1660
	dc.b	4,2,5,1,26,0,1,0
	dc.w	1700
	dc.b	2,1,2,0,1,0,1,0
	dc.w	1710
	dc.b	4,2,5,1,26,0,1,0
	dc.w	1750
	dc.b	2,1,3,0,1,0,1,0
	dc.w	1760
	dc.b	4,2,5,1,26,0,1,0

	dc.w	1840			; MetaBall Left + MetaBall Right
	dc.b	0,0,0,0,20,3,1,0
	dc.w	1850
	dc.b	1,0,0,0,104,3,1,0
	dc.w	1860
	dc.b	0,0,0,0,28,3,1,0
	dc.w	1870
	dc.b	1,0,0,0,96,3,1,0
	dc.w	1880
	dc.b	0,0,0,0,36,3,1,0
	dc.w	1890
	dc.b	1,0,0,0,88,3,1,0
	dc.w	1900
	dc.b	0,0,0,0,44,3,1,0
	dc.w	1910
	dc.b	1,0,6,0,80,3,1,0
	dc.w	1920
	dc.b	0,0,0,0,52,3,1,0
	dc.w	1930
	dc.b	1,0,7,0,72,3,1,0
	dc.w	1940
	dc.b	0,0,6,0,60,3,1,0
	dc.w	1950
	dc.b	1,0,0,0,64,3,1,0
	dc.w	1960
	dc.b	0,0,0,0,68,3,1,0
	dc.w	1970
	dc.b	1,0,6,0,56,3,1,0
	dc.w	1980
	dc.b	0,0,0,0,76,3,1,0
	dc.w	1990
	dc.b	1,0,0,0,48,3,1,0

	dc.w	2050			; Bonus
	dc.b	8,5,0,0,88,0,1,1

	dc.w	2150			; Pumpkins Left + Metaball Right
	dc.b	1,0,0,0,104,3,1,0
	dc.w	2160
	dc.b	3,1,0,0,0,0,1,0
	dc.w	2200
	dc.b	1,0,0,0,104,3,1,0
	dc.w	2210
	dc.b	3,1,2,0,0,0,1,0
	dc.w	2250
	dc.b	1,0,7,0,104,3,1,0
	dc.w	2260
	dc.b	3,1,3,0,0,0,1,0
	dc.w	2300
	dc.b	1,0,6,0,104,3,1,0
	dc.w	2310
	dc.b	3,1,0,0,0,0,1,0
	dc.w	2350
	dc.b	1,0,0,0,104,3,1,0

	dc.w	2400			; Metaball Left + Flying Saucers Right
	dc.b	0,0,0,0,20,3,1,0
	dc.w	2410
	dc.b	6,3,0,0,0,0,1,0	
	dc.w	2450
	dc.b	0,0,0,0,20,3,1,0
	dc.w	2460
	dc.b	6,3,0,0,0,0,1,0	
	dc.w	2500
	dc.b	0,0,7,0,20,3,1,0
	dc.w	2510
	dc.b	6,3,8,0,0,0,1,0	
	dc.w	2550
	dc.b	0,0,6,0,20,3,1,0
	dc.w	2560
	dc.b	6,3,8,0,0,0,1,0

	dc.w	2625			; Flying Saucers Left
	dc.b	5,3,8,0,0,0,1,0
	dc.w	2655
	dc.b	5,3,8,0,0,0,1,0
	dc.w	2685
	dc.b	5,3,8,0,0,0,1,0
	dc.w	2715
	dc.b	5,3,8,0,0,0,1,0
	dc.w	2745
	dc.b	5,3,8,0,0,0,1,0
	dc.w	2775
	dc.b	5,3,8,0,0,0,1,0

	dc.w	2825			; Flying Saucers Right
	dc.b	6,3,8,0,0,0,1,0
	dc.w	2855
	dc.b	6,3,8,0,0,0,1,0
	dc.w	2885
	dc.b	6,3,8,0,0,0,1,0
	dc.w	2915
	dc.b	6,3,8,0,0,0,1,0
	dc.w	2945
	dc.b	6,3,8,0,0,0,1,0
	dc.w	2975
	dc.b	6,3,8,0,0,0,1,0

	dc.w	3025			; Flying Saucers Left + Flying Saucers Right
	dc.b	5,3,8,0,0,0,1,0
	dc.w	3037
	dc.b	6,3,8,0,0,0,1,0
	dc.w	3055
	dc.b	5,3,8,0,0,0,1,0
	dc.w	3067
	dc.b	6,3,8,0,0,0,1,0
	dc.w	3085
	dc.b	5,3,8,0,0,0,1,0
	dc.w	3097
	dc.b	6,3,8,0,0,0,1,0
	dc.w	3115
	dc.b	5,3,8,0,0,0,1,0
	dc.w	3127
	dc.b	6,3,8,0,0,0,1,0
	dc.w	3145
	dc.b	5,3,8,0,0,0,1,0
	dc.w	3157
	dc.b	6,3,8,0,0,0,1,0
	dc.w	3175
	dc.b	5,3,8,0,0,0,1,0
	dc.w	3187
	dc.b	6,3,8,0,0,0,1,0

	dc.w	3250			; Bonus
	dc.b	8,5,0,0,88,0,1,1

	dc.w	3300			; Harrier Left + Harrier Middle + Harrier Right
	dc.b	4,2,0,1,26,0,1,0
	dc.w	3325
	dc.b	4,2,0,1,150,0,1,0
	dc.w	3350
	dc.b	4,2,0,1,51,0,1,0
	dc.w	3375
	dc.b	4,2,0,1,125,0,1,0
	dc.w	3400
	dc.b	4,2,7,1,76,0,1,0
	dc.w	3425
	dc.b	4,2,0,1,100,0,1,0
	dc.w	3450
	dc.b	4,2,8,1,51,0,1,0
	dc.w	3475
	dc.b	4,2,9,1,125,0,1,0
	dc.w	3500
	dc.b	4,2,9,1,26,0,1,0
	dc.w	3525
	dc.b	4,2,0,1,150,0,1,0
	dc.w	3550
	dc.b	4,2,8,1,76,0,1,0
	dc.w	3575
	dc.b	4,2,7,1,100,0,1,0
	dc.w	3600
	dc.b	4,2,9,1,51,0,1,0
	dc.w	3625
	dc.b	4,2,8,1,125,0,1,0
	dc.w	3650
	dc.b	4,2,8,1,26,0,1,0
	dc.w	3675
	dc.b	4,2,7,1,150,0,1,0

	dc.w	3800			; Pumpkins Left + Harrier Right
	dc.b	3,1,1,0,0,0,1,0
	dc.w	3825
	dc.b	4,2,0,1,150,0,1,0
	dc.w	3850
	dc.b	3,1,2,0,0,0,1,0
	dc.w	3875
	dc.b	4,2,0,1,150,0,1,0
	dc.w	3900
	dc.b	3,1,3,0,0,0,1,0
	dc.w	3925
	dc.b	4,2,7,1,150,0,1,0
	dc.w	3950
	dc.b	3,1,4,0,0,0,1,0
	dc.w	3975
	dc.b	4,2,9,1,150,0,1,0

	dc.w	4025			; Harrier Left + Pumpkins Right
	dc.b	2,1,1,0,7,0,1,0
	dc.w	4050
	dc.b	4,2,0,1,26,0,1,0
	dc.w	4075
	dc.b	2,1,2,0,7,0,1,0
	dc.w	4100
	dc.b	4,2,7,1,26,0,1,0
	dc.w	4125
	dc.b	2,1,3,0,7,0,1,0
	dc.w	4150
	dc.b	4,2,8,1,26,0,1,0
	dc.w	4175
	dc.b	2,1,4,0,7,0,1,0
	dc.w	4200
	dc.b	4,2,9,1,26,0,1,0

	dc.w	4250			; Bonus
	dc.b	8,5,0,0,88,0,1,1

	dc.w	4300			; Flying Saucers Left + Flying Saucers Right
	dc.b	5,3,8,0,0,0,1,0
	dc.w	4312
	dc.b	6,3,8,0,0,0,1,0
	dc.w	4330
	dc.b	5,3,8,0,0,0,1,0
	dc.w	4342
	dc.b	6,3,8,0,0,0,1,0
	dc.w	4360
	dc.b	5,3,8,0,0,0,1,0
	dc.w	4372
	dc.b	6,3,8,0,0,0,1,0
	dc.w	4390
	dc.b	5,3,8,0,0,0,1,0
	dc.w	4402
	dc.b	6,3,8,0,0,0,1,0

	dc.w	4450			; MetaBall Left + MetaBall Right
	dc.b	0,0,0,0,20,3,1,0
	dc.w	4460
	dc.b	1,0,0,0,104,3,1,0
	dc.w	4470
	dc.b	0,0,0,0,28,3,1,0
	dc.w	4480
	dc.b	1,0,0,0,96,3,1,0
	dc.w	4490
	dc.b	0,0,0,0,36,3,1,0
	dc.w	4500
	dc.b	1,0,0,0,88,3,1,0
	dc.w	4510
	dc.b	0,0,0,0,44,3,1,0
	dc.w	4520
	dc.b	1,0,6,0,80,3,1,0
	dc.w	4530
	dc.b	0,0,0,0,52,3,1,0
	dc.w	4540
	dc.b	1,0,7,0,72,3,1,0

	dc.w	4700			; Boss
	dc.b	7,4,10,3,0,0,80,0
	dc.w	4700
	dc.b	0,0,0,4,0,0,0,0		; Arrt du timer

	dc.w	65535			; Valeur indiquant la fin d'un niveau (eq. 40 minutes)

; ****** Dbut du niveau ******

; LEVEL 2

; *****************************
; * Description d'un niveau *
; *****************************
; 100 ennemis = 1002 octets en mmoire !

niveau_2:

	dc.w	0		; Scroll mode ( 0 = Redmarrer en fin de scrolling (plan 0), 1 = En fonction du timer )

	dc.w	32*15*4	; Moment du reset scrolling1
	dc.w	32*10*2	; Moment du reset scrolling2
	dc.w	32*10		; Moment du reset scrolling3
	dc.l	MosGFX_2	;background_tiles
	dc.l	MosGFX2_2	;foreground_tiles
	dc.l	MosData_2	;background_addr
	dc.l	MosData2_2	;foreground_addr
	dc.l	MosData3_2	;sforeground_addr
	dc.w	31		;background_offset
	dc.w	31		;foreground_offset
	dc.w	31		;sforeground_offset
	dc.w	1		;sforeground_itimer
	dc.w	2		;foreground_itimer
	dc.w	4		;background_itimer
	dc.w	1		;sforeground_timer
	dc.w	1		;foreground_timer
	dc.w	1		;background_timer
	dc.w	1		;foreground_enabled

	dc.l	ship		; Vaisseau du niveau

	dc.w	3180		; Taille du niveau

; Multiplication par 10 : ( 2^3 + 2^1 )

;	dc.w	0		; Moment du dpart ( dcal ou simultan )
;	dc.b	0		; Table de mouvement  utiliser ( 0...255 )
;	dc.b	0		; Sprite  utiliser ( 0...255 )
;	dc.b	0		; Table de tirs  utiliser ( 0...255 )
;	dc.b	0		; Type de mouvement
				; 0 = Normal
				; 1 = Raction aux coordonnes Y du vaisseau
				; 2 = Dpart aux coordonnes X du vaisseau
				; 3 = Descente de y pixels, puis boucle jusqu' destruction
				; Des que le systeme observe un mouvement en x, il considre cette
				; partie comme le dbut de la boucle
				; 4 = Bloque le timer jusqu' ce que tous les ennemis soient morts
				; 5 = Idem que 3 mais dclaration de type BOSS
;	dc.b	0		; Position X de dpart
;	dc.b	0		; Nombre d'animations du sprite ( 0...63 )
;	dc.b	0		; Valeur de la protection ( 0 = transparent, 255 = quasi-invincible )
;	dc.b	0		; Item ( 0 = aucun, 1 = arme )

	dc.w	5			; Numro du niveau = 2
	dc.b	8,7,0,0,80,0,0,0

	dc.w	100			; MetaBall Left
	dc.b	0,0,0,0,20,3,1,0
	dc.w	110
	dc.b	0,0,0,0,32,3,1,0
	dc.w	120
	dc.b	0,0,0,0,44,3,1,0
	dc.w	130
	dc.b	0,0,0,0,56,3,1,0
	dc.w	140
	dc.b	0,0,0,0,68,3,1,0
	dc.w	150
	dc.b	0,0,0,0,80,3,1,0
	dc.w	160
	dc.b	0,0,0,0,88,3,1,0
	dc.w	170
	dc.b	0,0,0,0,96,3,1,0

	dc.w	200			; MetaBall Right
	dc.b	1,0,0,0,104,3,1,0
	dc.w	210
	dc.b	1,0,0,0,92,3,1,0
	dc.w	220
	dc.b	1,0,0,0,80,3,1,0
	dc.w	230
	dc.b	1,0,0,0,68,3,1,0
	dc.w	240
	dc.b	1,0,0,0,56,3,1,0
	dc.w	250
	dc.b	1,0,0,0,44,3,1,0
	dc.w	260
	dc.b	1,0,0,0,32,3,1,0
	dc.w	270
	dc.b	1,0,0,0,20,3,1,0


	dc.w	300			; MetaBall cycle
	dc.b	0,0,0,0,20,3,1,0
	dc.w	310
	dc.b	1,0,0,0,104,3,1,0
	dc.w	320
	dc.b	0,0,0,0,32,3,1,0
	dc.w	330
	dc.b	1,0,0,0,92,3,1,0
	dc.w	340
	dc.b	0,0,0,0,44,3,1,0
	dc.w	350
	dc.b	1,0,0,0,80,3,1,0
	dc.w	360
	dc.b	0,0,0,0,56,3,1,0
	dc.w	370
	dc.b	1,0,0,0,68,3,1,0
	dc.w	380
	dc.b	0,0,0,0,68,3,1,0
	dc.w	390
	dc.b	1,0,0,0,56,3,1,0

	dc.w	425			; Tracker Left + Right
	dc.b	9,8,1,0,15,0,2,0
	dc.w	430
	dc.b	10,8,0,0,35,0,2,0
	dc.w	475
	dc.b	9,8,2,0,15,0,2,0
	dc.w	480
	dc.b	10,8,3,0,35,0,2,0
	dc.w	525
	dc.b	9,8,2,0,15,0,2,0
	dc.w	530
	dc.b	10,8,0,0,35,0,2,0
	dc.w	575
	dc.b	9,8,1,0,15,0,2,0
	dc.w	580
	dc.b	10,8,3,0,35,0,2,0
	dc.w	625
	dc.b	9,8,1,0,15,0,2,0

	dc.w	650			; Harrier Left + Right ; Tracker Left + Right
	dc.b	4,2,0,1,152,0,1,0
	dc.w	675
	dc.b	4,2,0,1,24,0,1,0
	dc.w	700
	dc.b	9,8,0,0,50,0,2,0
	dc.w	700
	dc.b	10,8,0,0,7,0,2,0
	dc.w	725
	dc.b	4,2,0,1,152,0,1,0
	dc.w	750
	dc.b	4,2,0,1,24,0,1,0
	dc.w	800
	dc.b	9,8,0,0,50,0,2,0
	dc.w	800
	dc.b	10,8,0,0,7,0,2,0

	dc.w	850			; Bonus
	dc.b	8,5,0,0,88,0,1,1

	dc.w	950			; X-Wing Left + X-Wing Right
	dc.b	8,9,4,0,34,0,1,0
	dc.w	950
	dc.b	8,9,3,0,142,0,1,0
	dc.w	975
	dc.b	8,9,7,0,34,0,1,0
	dc.w	975
	dc.b	8,9,2,0,142,0,1,0
	dc.w	1000
	dc.b	8,9,1,0,34,0,1,0
	dc.w	1000
	dc.b	8,9,6,0,142,0,1,0
	dc.w	1025
	dc.b	4,9,5,0,55,0,1,0
	dc.w	1025
	dc.b	4,9,2,0,121,0,1,0
	dc.w	1050
	dc.b	4,9,3,0,55,0,1,0
	dc.w	1050
	dc.b	4,9,4,0,121,0,1,0

	dc.w	1150			; MetaBall Left
	dc.b	0,0,1,0,20,3,1,0
	dc.w	1160
	dc.b	0,0,0,0,32,3,1,0
	dc.w	1170
	dc.b	0,0,6,0,44,3,1,0
	dc.w	1180
	dc.b	0,0,0,0,56,3,1,0
	dc.w	1190
	dc.b	0,0,4,0,68,3,1,0
	dc.w	1200
	dc.b	0,0,0,0,80,3,1,0
	dc.w	1210
	dc.b	0,0,3,0,88,3,1,0
	dc.w	1220
	dc.b	0,0,0,0,96,3,1,0

	dc.w	1250			; MetaBall Right
	dc.b	1,0,5,0,104,3,1,0
	dc.w	1260
	dc.b	1,0,4,0,92,3,1,0
	dc.w	1270
	dc.b	1,0,0,0,80,3,1,0
	dc.w	1280
	dc.b	1,0,0,0,68,3,1,0
	dc.w	1290
	dc.b	1,0,0,0,56,3,1,0
	dc.w	1300
	dc.b	1,0,3,0,44,3,1,0
	dc.w	1310
	dc.b	1,0,0,0,32,3,1,0
	dc.w	1320
	dc.b	1,0,0,0,20,3,1,0

	dc.w	1350			; MetaBall Alatoire
	dc.b	1,0,1,0,92,3,1,0
	dc.w	1360
	dc.b	0,0,0,0,96,3,1,0
	dc.w	1370
	dc.b	1,0,0,0,32,3,1,0
	dc.w	1380
	dc.b	0,0,5,0,88,3,1,0
	dc.w	1390
	dc.b	1,0,0,0,56,3,1,0
	dc.w	1400
	dc.b	1,0,3,0,68,3,1,0
	dc.w	1410
	dc.b	0,0,0,0,20,3,1,0
	dc.w	1420
	dc.b	1,0,0,0,104,3,1,0
	dc.w	1430
	dc.b	0,0,0,0,32,3,1,0
	dc.w	1440
	dc.b	1,0,0,0,44,3,1,0
	dc.w	1450
	dc.b	0,0,4,0,44,3,1,0
	dc.w	1460
	dc.b	0,0,6,0,56,3,1,0
	dc.w	1470
	dc.b	1,0,0,0,80,3,1,0
	dc.w	1480
	dc.b	0,0,0,0,80,3,1,0
	dc.w	1490
	dc.b	1,0,2,0,20,3,1,0
	dc.w	1500
	dc.b	0,0,1,0,68,3,1,0

	dc.w	1520			; Bonus
	dc.b	8,5,0,0,88,0,1,1

	dc.w	1550			; Flying Saucers Left
	dc.b	5,3,8,0,0,0,1,0
	dc.w	1580
	dc.b	5,3,8,0,0,0,1,0
	dc.w	1610
	dc.b	5,3,8,0,0,0,1,0
	dc.w	1640
	dc.b	5,3,8,0,0,0,1,0
	dc.w	1670
	dc.b	5,3,8,0,0,0,1,0
	dc.w	1700
	dc.b	5,3,8,0,0,0,1,0

	dc.w	1750			; Flying Saucers Right
	dc.b	6,3,8,0,0,0,1,0
	dc.w	1780
	dc.b	6,3,8,0,0,0,1,0
	dc.w	1810
	dc.b	6,3,8,0,0,0,1,0
	dc.w	1840
	dc.b	6,3,8,0,0,0,1,0
	dc.w	1870
	dc.b	6,3,8,0,0,0,1,0
	dc.w	1900
	dc.b	6,3,8,0,0,0,1,0

	dc.w	1940			; MetaBall Left + MetaBall Right
	dc.b	0,0,0,0,20,3,1,0
	dc.w	1950
	dc.b	1,0,0,0,104,3,1,0
	dc.w	1960
	dc.b	0,0,0,0,28,3,1,0
	dc.w	1970
	dc.b	1,0,0,0,96,3,1,0
	dc.w	1980
	dc.b	0,0,0,0,36,3,1,0
	dc.w	1990
	dc.b	1,0,0,0,88,3,1,0
	dc.w	2000
	dc.b	0,0,0,0,44,3,1,0
	dc.w	2010
	dc.b	1,0,6,0,80,3,1,0
	dc.w	2020
	dc.b	0,0,0,0,52,3,1,0
	dc.w	2030
	dc.b	1,0,7,0,72,3,1,0
	dc.w	2040
	dc.b	0,0,6,0,60,3,1,0
	dc.w	2050
	dc.b	1,0,0,0,64,3,1,0
	dc.w	2060
	dc.b	0,0,0,0,68,3,1,0
	dc.w	2070
	dc.b	1,0,6,0,56,3,1,0
	dc.w	2080
	dc.b	0,0,0,0,76,3,1,0
	dc.w	2090
	dc.b	1,0,0,0,48,3,1,0

	dc.w	2125			; Tracker Left
	dc.b	9,8,1,0,15,0,2,0
	dc.w	2140
	dc.b	9,8,3,0,18,0,2,0
	dc.w	2155
	dc.b	9,8,5,0,21,0,2,0
	dc.w	2170
	dc.b	9,8,7,0,24,0,2,0
	dc.w	2185
	dc.b	9,8,2,0,27,0,2,0
	dc.w	2200
	dc.b	9,8,4,0,30,0,2,0
	dc.w	2215
	dc.b	9,8,3,0,33,0,2,0
	dc.w	2230
	dc.b	9,8,5,0,36,0,2,0

	dc.w	2295			; Tracker Right
	dc.b	10,8,4,0,35,0,2,0
	dc.w	2310
	dc.b	10,8,2,0,32,0,2,0
	dc.w	2325
	dc.b	10,8,7,0,29,0,2,0
	dc.w	2340
	dc.b	10,8,5,0,26,0,2,0
	dc.w	2355
	dc.b	10,8,3,0,23,0,2,0
	dc.w	2370
	dc.b	10,8,1,0,20,0,2,0
	dc.w	2385
	dc.b	10,8,4,0,17,0,2,0
	dc.w	2400
	dc.b	10,8,5,0,14,0,2,0

	dc.w	2450			; Tracker Left + Harrier Right
	dc.b	9,8,1,0,15,0,2,0
	dc.w	2470
	dc.b	4,2,2,1,152,0,1,0
	dc.w	2490
	dc.b	9,8,3,0,17,0,2,0
	dc.w	2510
	dc.b	4,2,4,1,152,0,1,0
	dc.w	2530
	dc.b	9,8,5,0,19,0,2,0
	dc.w	2550
	dc.b	4,2,0,1,152,0,1,0
	dc.w	2570
	dc.b	9,8,7,0,21,0,2,0
	dc.w	2590
	dc.b	4,2,2,1,152,0,1,0
	dc.w	2610
	dc.b	9,8,3,0,23,0,2,0
	dc.w	2630
	dc.b	4,2,0,1,152,0,1,0
	dc.w	2650
	dc.b	9,8,4,0,25,0,2,0
	dc.w	2670
	dc.b	4,2,1,1,152,0,1,0
	dc.w	2690
	dc.b	9,8,3,0,27,0,2,0

	dc.w	2750			; Tracker Right + Harrier Left
	dc.b	10,8,4,0,35,0,2,0
	dc.w	2770
	dc.b	4,2,1,1,24,0,1,0
	dc.w	2790
	dc.b	10,8,2,0,32,0,2,0
	dc.w	2810
	dc.b	4,2,3,1,24,0,1,0
	dc.w	2830
	dc.b	10,8,7,0,29,0,2,0
	dc.w	2850
	dc.b	4,2,4,1,24,0,1,0
	dc.w	2870
	dc.b	10,8,5,0,26,0,2,0
	dc.w	2890
	dc.b	4,2,1,1,24,0,1,0
	dc.w	2910
	dc.b	10,8,3,0,23,0,2,0
	dc.w	2930
	dc.b	4,2,2,1,24,0,1,0
	dc.w	2950
	dc.b	10,8,1,0,20,0,2,0
	dc.w	2970
	dc.b	4,2,0,1,24,0,1,0
	dc.w	2990
	dc.b	10,8,4,0,17,0,2,0

	; Boss

	dc.w	3150
	dc.b	11,10,11,3,0,0,80,0
	dc.w	3150
	dc.b	0,0,0,4,0,0,0,0

	dc.w	65535

; ****** Dbut du niveau ******

; LEVEL 3

; *****************************
; * Description d'un niveau *
; *****************************
; 100 ennemis = 1002 octets en mmoire !

niveau_3:
	dc.w	1		; Scroll mode ( 0 = Redmarrer en fin de scrolling (plan 0), 1 = En fonction du timer )
	dc.w	32*11*4	; Moment du reset scrolling1
	dc.w	32*10*2	; Moment du reset scrolling2
	dc.w	32*10		; Moment du reset scrolling3
	dc.l	MosGFX_3	;background_tiles
	dc.l	MosGFX2_3	;foreground_tiles
	dc.l	MosData_3	;background_addr
	dc.l	MosData2_3	;foreground_addr
	dc.l	MosData3_3	;sforeground_addr
	dc.w	31		;background_offset
	dc.w	31		;foreground_offset
	dc.w	31		;sforeground_offset
	dc.w	1		;sforeground_itimer
	dc.w	2		;foreground_itimer
	dc.w	4		;background_itimer
	dc.w	1		;sforeground_timer
	dc.w	1		;foreground_timer
	dc.w	1		;background_timer
	dc.w	1		;foreground_enabled

	dc.l	ship		; Vaisseau du niveau

	dc.w	2750		; Taille du niveau

; Multiplication par 10 : ( 2^3 + 2^1 )

;	dc.w	0		; Moment du dpart ( dcal ou simultan )
;	dc.b	0		; Table de mouvement  utiliser ( 0...255 )
;	dc.b	0		; Sprite  utiliser ( 0...255 )
;	dc.b	0		; Table de tirs  utiliser ( 0...255 )
;	dc.b	0		; Type de mouvement
				; 0 = Normal
				; 1 = Raction aux coordonnes Y du vaisseau
				; 2 = Dpart aux coordonnes X du vaisseau
				; 3 = Descente de y pixels, puis boucle jusqu' destruction
				; Des que le systeme observe un mouvement en x, il considre cette
				; partie comme le dbut de la boucle
				; 4 = Bloque le timer jusqu' ce que tous les ennemis soient morts
				; 5 = Idem que 3 mais dclaration de type BOSS
;	dc.b	0		; Position X de dpart
;	dc.b	0		; Nombre d'animations du sprite ( 0...63 )
;	dc.b	0		; Valeur de la protection ( 0 = transparent, 255 = quasi-invincible )
;	dc.b	0		; Item ( 0 = aucun, 1 = arme )

	dc.w	5			; Numro du niveau = 3
	dc.b	15,7,0,0,80,0,0,0
	dc.w	100			; Car	; 32 ; 48 ; 80 ; 96 ; 128 ; 144
	dc.b	12,11,1,0,48,0,2,0
	dc.w	120
	dc.b	12,11,2,0,128,0,2,0
	dc.w	140
	dc.b	12,11,3,0,96,0,2,0
	dc.w	160
	dc.b	12,11,4,0,80,0,2,0
	dc.w	180
	dc.b	12,11,5,0,32,0,2,0
	dc.w	200
	dc.b	12,11,6,0,144,0,2,0
	dc.w	220
	dc.b	12,11,2,0,96,0,2,0
	dc.w	240
	dc.b	12,11,4,0,48,0,2,0
	dc.w	260
	dc.b	12,11,1,0,32,0,2,0
	dc.w	280
	dc.b	12,11,5,0,48,0,2,0
	dc.w	300
	dc.b	12,11,4,0,80,0,2,0
	dc.w	315
	dc.b	12,11,2,0,96,0,2,0
	dc.w	330
	dc.b	12,11,7,0,128,0,2,0
	dc.w	345
	dc.b	12,11,2,0,144,0,2,0

	dc.w	370			; Bonus
	dc.b	8,5,0,0,88,0,1,1

	dc.w	400			; Car	; 32 ; 48 ; 80 ; 96 ; 128 ; 144 ; Leviathan Left + Right
	dc.b	12,11,5,0,32,0,2,0
	dc.w	415
	dc.b	12,11,4,0,144,0,2,0
	dc.w	430
	dc.b	13,12,3,0,64,0,3,0
	dc.w	445
	dc.b	14,12,2,0,64,0,3,0
	dc.w	460
	dc.b	12,11,6,0,80,0,2,0
	dc.w	475
	dc.b	12,11,3,0,96,0,2,0
	dc.w	490
	dc.b	13,12,1,0,32,0,3,0
	dc.w	505
	dc.b	14,12,4,0,100,0,3,0
	dc.w	520
	dc.b	12,11,0,0,48,0,2,0
	dc.w	535
	dc.b	12,11,2,0,128,0,2,0
	dc.w	550
	dc.b	13,12,0,0,80,0,3,0
	dc.w	565
	dc.b	14,12,4,0,40,0,3,0
	dc.w	580
	dc.b	12,11,5,0,32,0,2,0
	dc.w	595
	dc.b	12,11,6,0,144,0,2,0
	dc.w	610
	dc.b	13,12,7,0,64,0,3,0
	dc.w	625
	dc.b	13,12,4,0,64,0,3,0
	dc.w	640
	dc.b	12,11,3,0,48,0,2,0
	dc.w	655
	dc.b	12,11,5,0,128,0,2,0
	dc.w	670
	dc.b	13,12,4,0,32,0,3,0
	dc.w	685
	dc.b	14,12,3,0,90,0,3,0

	dc.w	720			; Bonus
	dc.b	8,5,0,0,88,0,1,1

	dc.w	750			; Truck		; 32 ; 48 ; 80 ; 96 ; 128 ; 144
	dc.b	16,14,12,0,48,0,5,0
	dc.w	770
	dc.b	16,14,12,0,128,0,5,0

	dc.w	790			; Car		; 32 ; 48 ; 80 ; 96 ; 128 ; 144
	dc.b	12,11,5,0,32,0,1,0	
	dc.w	810
	dc.b	12,11,3,0,144,0,1,0

	dc.w	830			; Truck		; 32 ; 48 ; 80 ; 96 ; 128 ; 144
	dc.b	16,14,12,0,80,0,5,0
	dc.w	850
	dc.b	16,14,12,0,96,0,5,0

	dc.w	870			; Car		; 32 ; 48 ; 80 ; 96 ; 128 ; 144
	dc.b	12,11,4,0,48,0,1,0	
	dc.w	890
	dc.b	12,11,7,0,128,0,1,0

	dc.w	910			; Truck		; 32 ; 48 ; 80 ; 96 ; 128 ; 144
	dc.b	16,14,12,0,32,0,5,0
	dc.w	925
	dc.b	16,14,12,0,80,0,5,0
	dc.w	940
	dc.b	16,14,12,0,128,0,2,0

	dc.w	960			; Car		; 32 ; 48 ; 80 ; 96 ; 128 ; 144
	dc.b	12,11,3,0,48,0,1,0	
	dc.w	975
	dc.b	12,11,4,0,96,0,1,0
	dc.w	990
	dc.b	12,11,5,0,144,0,1,0

	dc.w	1010			; Truck		; 32 ; 48 ; 80 ; 96 ; 128 ; 144
	dc.b	16,14,12,0,32,0,5,0
	dc.w	1025
	dc.b	16,14,12,0,80,0,5,0
	dc.w	1040
	dc.b	16,14,12,0,128,0,5,0

	dc.w	1060			; Car		; 32 ; 48 ; 80 ; 96 ; 128 ; 144
	dc.b	12,11,2,0,48,0,1,0	
	dc.w	1075
	dc.b	12,11,4,0,96,0,1,0
	dc.w	1090
	dc.b	12,11,6,0,144,0,1,0

	dc.w	1200			; Leviathan AUTO	- Type Gauche
	dc.b	13,12,2,2,0,0,4,0
	dc.w	1215
	dc.b	13,12,3,2,0,0,4,0
	dc.w	1230
	dc.b	13,12,4,2,0,0,4,0
	dc.w	1245
	dc.b	13,12,0,2,0,0,4,0
	dc.w	1260
	dc.b	13,12,4,2,0,0,4,0
	dc.w	1275
	dc.b	13,12,5,2,0,0,4,0
	dc.w	1290
	dc.b	13,12,6,2,0,0,4,0
	dc.w	1305
	dc.b	13,12,0,2,0,0,4,0

	dc.w	1350			; Leviathan AUTO	- Type Droite
	dc.b	14,12,6,2,0,0,4,0
	dc.w	1365
	dc.b	14,12,5,2,0,0,4,0
	dc.w	1380
	dc.b	14,12,3,2,0,0,4,0
	dc.w	1395
	dc.b	14,12,2,2,0,0,4,0
	dc.w	1405
	dc.b	14,12,1,2,0,0,4,0
	dc.w	1420
	dc.b	14,12,3,2,0,0,4,0
	dc.w	1435
	dc.b	14,12,0,2,0,0,4,0
	dc.w	1450
	dc.b	14,12,4,2,0,0,4,0

	dc.w	1500			; Car	80 ; 96
	dc.b	12,11,5,0,80,0,2,0
	dc.w	1510
	dc.b	12,11,4,0,96,0,2,0
	dc.w	1520
	dc.b	12,11,6,0,80,0,2,0
	dc.w	1530
	dc.b	12,11,8,0,96,0,2,0
	dc.w	1540
	dc.b	12,11,4,0,80,0,2,0
	dc.w	1550
	dc.b	12,11,3,0,96,0,2,0
	dc.w	1560
	dc.b	12,11,7,0,80,0,2,0
	dc.w	1570
	dc.b	12,11,1,0,96,0,2,0
	dc.w	1580
	dc.b	12,11,0,0,80,0,2,0
	dc.w	1590
	dc.b	12,11,0,0,96,0,2,0

	dc.w	1650			; Car	32 ; 144
	dc.b	12,11,1,0,32,0,2,0
	dc.w	1660
	dc.b	12,11,3,0,144,0,2,0
	dc.w	1670
	dc.b	12,11,7,0,32,0,2,0
	dc.w	1680
	dc.b	12,11,8,0,144,0,2,0
	dc.w	1690
	dc.b	12,11,2,0,32,0,2,0
	dc.w	1700
	dc.b	12,11,1,0,144,0,2,0
	dc.w	1710
	dc.b	12,11,0,0,32,0,2,0
	dc.w	1720
	dc.b	12,11,0,0,144,0,2,0
	dc.w	1730
	dc.b	12,11,1,0,32,0,2,0
	dc.w	1740
	dc.b	12,11,5,0,144,0,2,0

	dc.w	1800			; Car	32 ; 48 ; 128 ; 144 + Leviathan Reaction Y
	dc.b	12,11,3,0,48,0,2,0
	dc.w	1810
	dc.b	12,11,4,0,128,0,2,0
	dc.w	1820
	dc.b	13,12,1,1,32,0,1,0
	dc.w	1830
	dc.b	14,12,2,1,144,0,1,0
	dc.w	1840
	dc.b	12,11,5,0,32,0,2,0
	dc.w	1850
	dc.b	12,11,6,0,144,0,2,0
	dc.w	1860
	dc.b	13,12,2,1,48,0,1,0
	dc.w	1870
	dc.b	14,12,3,1,128,0,1,0
	dc.w	1880
	dc.b	12,11,7,0,48,0,2,0
	dc.w	1890
	dc.b	12,11,2,0,128,0,2,0
	dc.w	1900
	dc.b	13,12,5,1,32,0,1,0
	dc.w	1910
	dc.b	14,12,4,1,144,0,1,0
	dc.w	1920
	dc.b	12,11,3,0,32,0,2,0
	dc.w	1930
	dc.b	12,11,2,0,144,0,2,0
	dc.w	1940
	dc.b	13,12,1,1,48,0,1,0
	dc.w	1950
	dc.b	14,12,4,1,128,0,1,0

	dc.w	2000			; Bonus
	dc.b	8,5,0,0,88,0,1,1

	dc.w	2100			; Shooter
	dc.b	15,13,13,0,32,0,20,0
	dc.w	2130
	dc.b	15,13,13,0,144,0,20,0
	dc.w	2160
	dc.b	15,13,13,0,128,0,20,0
	dc.w	2190
	dc.b	15,13,13,0,80,0,20,0
	dc.w	2220
	dc.b	15,13,13,0,48,0,20,0
	dc.w	2250
	dc.b	15,13,13,0,96,0,20,0
	dc.w	2280
	dc.b	15,13,13,0,128,0,20,0
	dc.w	2310
	dc.b	15,13,13,0,32,0,20,0

	dc.w	2500			; Car Groupe
	dc.b	12,11,4,0,32,0,2,0
	dc.w	2500
	dc.b	12,11,1,0,48,0,2,0
	dc.w	2500
	dc.b	12,11,3,0,80,0,2,0
	dc.w	2500
	dc.b	12,11,2,0,96,0,2,0
	dc.w	2500
	dc.b	12,11,1,0,128,0,2,0
	dc.w	2500
	dc.b	12,11,5,0,144,0,2,0

	dc.w	2560			; Car + Shooter
	dc.b	12,11,4,0,80,0,2,0
	dc.w	2560
	dc.b	12,11,1,0,96,0,2,0
	dc.w	2580
	dc.b	12,11,3,0,48,0,2,0
	dc.w	2580
	dc.b	12,11,2,0,128,0,2,0
	dc.w	2600
	dc.b	12,11,1,0,32,0,2,0
	dc.w	2600
	dc.b	12,11,5,0,144,0,2,0
	dc.w	2600
	dc.b	12,13,13,0,80,0,20,0
	dc.w	2600
	dc.b	12,13,13,0,96,0,20,0
	dc.w	2620
	dc.b	12,11,3,0,48,0,2,0
	dc.w	2620
	dc.b	12,11,2,0,128,0,2,0
	dc.w	2640
	dc.b	12,11,4,0,80,0,2,0
	dc.w	2640
	dc.b	12,11,1,0,96,0,2,0

	dc.w	65535

; ****** Dbut du niveau ******

; FINAL

; *****************************
; * Description d'un niveau *
; *****************************
; 100 ennemis = 1002 octets en mmoire !

final:
	dc.w	1		; Scroll mode ( 0 = Redmarrer en fin de scrolling (plan 0), 1 = En fonction du timer )
	dc.w	32*10*2	; Moment du reset scrolling1
	dc.w	32*10*2	; Moment du reset scrolling2
	dc.w	32*10*2	; Moment du reset scrolling3
	dc.l	MosGFX_4	;background_tiles
	dc.l	MosGFX2_4	;foreground_tiles
	dc.l	MosData_4	;background_addr
	dc.l	MosData2_4	;foreground_addr
	dc.l	MosData3_4	;sforeground_addr
	dc.w	31		;background_offset
	dc.w	31		;foreground_offset
	dc.w	31		;sforeground_offset
	dc.w	2		;sforeground_itimer
	dc.w	2		;foreground_itimer
	dc.w	2		;background_itimer
	dc.w	1		;sforeground_timer
	dc.w	1		;foreground_timer
	dc.w	1		;background_timer
	dc.w	0		;foreground_enabled

	dc.l	ship		; Vaisseau du niveau

	dc.w	1000		; Taille du niveau

; Multiplication par 10 : ( 2^3 + 2^1 )

;	dc.w	0		; Moment du dpart ( dcal ou simultan )
;	dc.b	0		; Table de mouvement  utiliser ( 0...255 )
;	dc.b	0		; Sprite  utiliser ( 0...255 )
;	dc.b	0		; Table de tirs  utiliser ( 0...255 )
;	dc.b	0		; Type de mouvement
				; 0 = Normal
				; 1 = Raction aux coordonnes Y du vaisseau
				; 2 = Dpart aux coordonnes X du vaisseau
				; 3 = Descente de y pixels, puis boucle jusqu' destruction
				; Des que le systeme observe un mouvement en x, il considre cette
				; partie comme le dbut de la boucle
				; 4 = Bloque le timer jusqu' ce que tous les ennemis soient morts
				; 5 = Idem que 3 mais dclaration de type BOSS
;	dc.b	0		; Position X de dpart
;	dc.b	0		; Nombre d'animations du sprite ( 0...63 )
;	dc.b	0		; Valeur de la protection ( 0 = transparent, 255 = quasi-invincible )
;	dc.b	0		; Item ( 0 = aucun, 1 = arme )

	dc.w	32*6*2
	dc.b	17,16,14,3,0,0,0,0
	dc.w	32*6*2
	dc.b	18,16,0,5,0,0,50,0
	dc.w	32*6*2
	dc.b	0,0,0,4,0,0,0,0
	
	dc.w	65535

; ***************************
; Description des sprites *
; ***************************

ship:					; Sprite 16 * 16
        dc.w    0				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
        dc.w    15				; Taille du sprite Y ( 16-1 car boucle DBRA)
        dc.w    32				; Evite la multiplication ;)
        dc.w    %0000000110000000	; Masque
        dc.w    %0000000110000000
        dc.w    %0000000110000000
        dc.w    %0000001111000000
        dc.w    %0000001111000000
        dc.w    %0100001111000010
        dc.w    %0100011111100010
        dc.w    %0100111111110010
        dc.w    %1111111111111111
        dc.w    %1111111111111111
        dc.w    %1111111111111111
        dc.w    %1111111111111111
        dc.w    %1111111111111111
        dc.w    %1111001111001111
        dc.w    %0100000110000010
        dc.w    %0100000000000010
        dc.w    %0000000110000000	; Noir + gris fonc
        dc.w    %0000000110000000
        dc.w    %0000000110000000
        dc.w    %0000001111000000
        dc.w    %0000001001000000
        dc.w    %0100001001000010
        dc.w    %0100010110100010
        dc.w    %0100110110110010
        dc.w    %1011000110001101
        dc.w    %1010010110100101
        dc.w    %1110110110110111
        dc.w    %1110110110110111
        dc.w    %1110111111110111
        dc.w    %1011001001001101
        dc.w    %0100000110000010
        dc.w    %0100000000000010
        dc.w    %0000000110000000	; Noir + gris clair
        dc.w    %0000000110000000
        dc.w    %0000000110000000
        dc.w    %0000001001000000
        dc.w    %0000001111000000
        dc.w    %0100001111000010
        dc.w    %0100011001100010
        dc.w    %0100111001110010
        dc.w    %1111111111111111
        dc.w    %1101101111011011
        dc.w    %1001011001101001
        dc.w    %1001011111101001
        dc.w    %1001111001111001
        dc.w    %1111001111001111
        dc.w    %0100000110000010
        dc.w    %0100000000000010

enn0:			; Sprite 16 * 16
        dc.w    0				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
        dc.w    15				; Taille du sprite Y ( 16-1 car boucle DBRA)
        dc.w    32				; Evite la multiplication ;)
        dc.w    %0000001111000000	; Masque
        dc.w    %0000011111100000
        dc.w    %0000111111110000
        dc.w    %0000111111110000
        dc.w    %0000111111110000
        dc.w    %0000011111100000
        dc.w    %0000001111000000
        dc.w    %0000000110000000
        dc.w    %0000000110000000
        dc.w    %0000001111000000
        dc.w    %0000011111100000
        dc.w    %0000111111110000
        dc.w    %0000111111110000
        dc.w    %0000111111110000
        dc.w    %0000011111100000
        dc.w    %0000001111000000
        dc.w    %0000001111000000	; Noir + gris clair
        dc.w    %0000011111100000
        dc.w    %0000111001110000
        dc.w    %0000110000110000
        dc.w    %0000110110110000
        dc.w    %0000011111100000
        dc.w    %0000001111000000
        dc.w    %0000000110000000
        dc.w    %0000000110000000
        dc.w    %0000001111000000
        dc.w    %0000011111100000
        dc.w    %0000110110110000
        dc.w    %0000110000110000
        dc.w    %0000111001110000
        dc.w    %0000011111100000
        dc.w    %0000001111000000
        dc.w    %0000001111000000	; Noir + gris fonc
        dc.w    %0000011001100000
        dc.w    %0000110110110000
        dc.w    %0000101111010000
        dc.w    %0000101111010000
        dc.w    %0000010110100000
        dc.w    %0000001001000000
        dc.w    %0000000110000000
        dc.w    %0000000110000000
        dc.w    %0000001001000000
        dc.w    %0000010110100000
        dc.w    %0000101111010000
        dc.w    %0000101111010000
        dc.w    %0000110110110000
        dc.w    %0000011001100000
        dc.w    %0000001111000000
        dc.w    0				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
        dc.w    15				; Taille du sprite Y ( 16-1 car boucle DBRA)
        dc.w    32				; Evite la multiplication ;)
        dc.w    %0001111000000000	; Masque
        dc.w    %0011111100000000
        dc.w    %0111111110000000
        dc.w    %0111111110000000
        dc.w    %0111111110000000
        dc.w    %0111111110000000
        dc.w    %0011111110000000
        dc.w    %0001111111000000
        dc.w    %0000001111111000
        dc.w    %0000000111111100
        dc.w    %0000000111111110
        dc.w    %0000000111111110
        dc.w    %0000000111111110
        dc.w    %0000000111111110
        dc.w    %0000000011111100
        dc.w    %0000000001111000
        dc.w    %0001111000000000	; Noir + gris clair
        dc.w    %0011111100000000
        dc.w    %0111001110000000
        dc.w    %0110000110000000
        dc.w    %0110011110000000
        dc.w    %0111011110000000
        dc.w    %0011111110000000
        dc.w    %0001111111000000
        dc.w    %0000001111111000
        dc.w    %0000000111111100
        dc.w    %0000000111101110
        dc.w    %0000000111100110
        dc.w    %0000000110000110
        dc.w    %0000000111001110
        dc.w    %0000000011111100
        dc.w    %0000000001111000
        dc.w    %0001111000000000	; Noir + gris fonc
        dc.w    %0011001100000000
        dc.w    %0110110110000000
        dc.w    %0101111010000000
        dc.w    %0101111010000000
        dc.w    %0110111010000000
        dc.w    %0011000010000000
        dc.w    %0001111111000000
        dc.w    %0000001111111000
        dc.w    %0000000100001100
        dc.w    %0000000101110110
        dc.w    %0000000101111010
        dc.w    %0000000101111010
        dc.w    %0000000110110110
        dc.w    %0000000011001100
        dc.w    %0000000001111000
        dc.w    0				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
        dc.w    15				; Taille du sprite Y ( 16-1 car boucle DBRA)
        dc.w    32				; Evite la multiplication ;)
        dc.w    %0000000000000000	; Masque
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0011100000011100
        dc.w    %0111110000111110
        dc.w    %1111111001111111
        dc.w    %1111111111111111
        dc.w    %1111111111111111
        dc.w    %1111111001111111
        dc.w    %0111110000111110
        dc.w    %0011100000011100
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000	; Noir + gris clair
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0011100000011100
        dc.w    %0111110000111110
        dc.w    %1110011001100111
        dc.w    %1100111111110011
        dc.w    %1100111111110011
        dc.w    %1110011001100111
        dc.w    %0111110000111110
        dc.w    %0011100000011100
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000	; Noir + gris fonc
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0011100000011100
        dc.w    %0110010000100110
        dc.w    %1101101001011011
        dc.w    %1011110110111101
        dc.w    %1011110110111101
        dc.w    %1101101001011011
        dc.w    %0110010000100110
        dc.w    %0011100000011100
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    0				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
        dc.w    15				; Taille du sprite Y ( 16-1 car boucle DBRA)
        dc.w    32				; Evite la multiplication ;)
        dc.w    %0000000001111000	; Masque
        dc.w    %0000000011111100
        dc.w    %0000000111111110
        dc.w    %0000000111111110
        dc.w    %0000000111111110
        dc.w    %0000000111111110
        dc.w    %0000000111111100
        dc.w    %0000001111111000
        dc.w    %0001111111000000
        dc.w    %0011111110000000
        dc.w    %0111111110000000
        dc.w    %0111111110000000
        dc.w    %0111111110000000
        dc.w    %0111111110000000
        dc.w    %0011111100000000
        dc.w    %0001111000000000
        dc.w    %0000000001111000	; Noir + gris clair
        dc.w    %0000000011111100
        dc.w    %0000000111001110
        dc.w    %0000000110000110
        dc.w    %0000000111100110
        dc.w    %0000000111101110
        dc.w    %0000000111111100
        dc.w    %0000001111111000
        dc.w    %0001111111000000
        dc.w    %0011111110000000
        dc.w    %0111011110000000
        dc.w    %0110011110000000
        dc.w    %0110000110000000
        dc.w    %0111001110000000
        dc.w    %0011111100000000
        dc.w    %0001111000000000
        dc.w    %0000000001111000	; Noir + gris fonc
        dc.w    %0000000011001100
        dc.w    %0000000110110110
        dc.w    %0000000101111010
        dc.w    %0000000101111010
        dc.w    %0000000101110110
        dc.w    %0000000100001100
        dc.w    %0000001111111000
        dc.w    %0001111111000000
        dc.w    %0011000010000000
        dc.w    %0110111010000000
        dc.w    %0101111010000000
        dc.w    %0101111010000000
        dc.w    %0110110110000000
        dc.w    %0011001100000000
        dc.w    %0001111000000000

enn1:					; Sprite 16 * 16
        dc.w    0				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
        dc.w    15				; Taille du sprite Y ( 16-1 car boucle DBRA)
        dc.w    32				; Evite la multiplication ;)
        dc.w    %0000000110000000	; Masque
        dc.w    %0000001111000000
        dc.w    %0011001111001100
        dc.w    %0011011111101100
        dc.w    %0111011111101110
        dc.w    %0111011111101110
        dc.w    %1111011111101111
        dc.w    %1111001111001111
        dc.w    %1111001111001111
        dc.w    %1111101111011111
        dc.w    %1111100110011111
        dc.w    %0111111111111110
        dc.w    %0011101111011100
        dc.w    %0001001111001000
        dc.w    %0000000110000000
        dc.w    %0000000110000000
        dc.w    %0000000110000000	; Noir + gris clair
        dc.w    %0000001001000000
        dc.w    %0011001001001100
        dc.w    %0011010110101100
        dc.w    %0101011111101010
        dc.w    %0101011111101010
        dc.w    %1101011111101011
        dc.w    %1101001111001011
        dc.w    %1101001001001011
        dc.w    %1100101001010011
        dc.w    %1110100110010111
        dc.w    %0110111001110110
        dc.w    %0011101001011100
        dc.w    %0001001001001000
        dc.w    %0000000110000000
        dc.w    %0000000110000000
        dc.w    %0000000110000000	; Noir + gris fonc
        dc.w    %0000001111000000
        dc.w    %0011001111001100
        dc.w    %0011011001101100
        dc.w    %0111010000101110
        dc.w    %0111010000101110
        dc.w    %1011010000101101
        dc.w    %1011001001001101
        dc.w    %1011001111001101
        dc.w    %1011101111011101
        dc.w    %1001100110011001
        dc.w    %0101111111111010
        dc.w    %0010101111010100
        dc.w    %0001001111001000
        dc.w    %0000000110000000
        dc.w    %0000000110000000

enn2:				; Sprite 16 * 16
        dc.w    0				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
        dc.w    15				; Taille du sprite Y ( 16-1 car boucle DBRA)
        dc.w    30				; Evite la multiplication ;)
        dc.w    %0100000000000010	; Masque
        dc.w    %1110000000000111
        dc.w    %1111100000011111
        dc.w    %1111110000111111
        dc.w    %0111110110111110
        dc.w    %0011111111111100
        dc.w    %0001111111111000
        dc.w    %0000111111110000
        dc.w    %0011111111111100
        dc.w    %0111111111111110
        dc.w    %1110111111110111
        dc.w    %1100111111110011
        dc.w    %0101110110111010
        dc.w    %0001100000011000
        dc.w    %0000100000010000
        dc.w    %0100000000000010	; Noir + gris clair
        dc.w    %0110000000000110
        dc.w    %1011100000011101
        dc.w    %1101110000111011
        dc.w    %0110110110110110
        dc.w    %0011011001101100
        dc.w    %0001101001111000
        dc.w    %0000010110100000
        dc.w    %0011010110101100
        dc.w    %0100010110100010
        dc.w    %1000101001010001
        dc.w    %1000101001010001
        dc.w    %0001000110001000
        dc.w    %0001000000001000
        dc.w    %0000000000000000
        dc.w    %0000000000000000
        dc.w    %1000000000000001	; Noir + gris fonc
        dc.w    %1100000000000011
        dc.w    %0110000000000110
        dc.w    %0111000110001110
        dc.w    %0011101111011100
        dc.w    %0001101111011000
        dc.w    %0000111001110000
        dc.w    %0011111001111100
        dc.w    %0111111001111110
        dc.w    %1110111111110111
        dc.w    %1100111111110011
        dc.w    %0101110110111010
        dc.w    %0001100000011000
        dc.w    %0000100000010000

enn3:				; Sprite 16 * 16
        dc.w    0				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
        dc.w    11				; Taille du sprite Y ( 16-1 car boucle DBRA)
        dc.w    24				; Evite la multiplication ;)
        dc.w    %0000000000000000	; Masque
        dc.w    %0000000000000000
        dc.w    %0000001111000000
        dc.w    %0001111111111000
        dc.w    %0111111111111110
        dc.w    %1111111111111111
        dc.w    %0001111001111000
        dc.w    %0001111001111000
        dc.w    %1111111111111111
        dc.w    %0111111111111110
        dc.w    %0001111111111000
        dc.w    %0000001111000000
        dc.w    %0000000000000000	; Noir + gris clair
        dc.w    %0000000000000000
        dc.w    %0000001111000000
        dc.w    %0001111111111000
        dc.w    %0110101111010110
        dc.w    %1010101111010101
        dc.w    %0001111001111000
        dc.w    %0001111001111000
        dc.w    %1010101111010101
        dc.w    %0111010000100110
        dc.w    %0001111111111000
        dc.w    %0000001111000000
        dc.w    %0000000000000000	; Noir + gris fonc
        dc.w    %0000000000000000
        dc.w    %0000001111000000
        dc.w    %0001111001111000
        dc.w    %0111010000101110
        dc.w    %1101011001101011
        dc.w    %0001111001111000
        dc.w    %0001111001111000
        dc.w    %1101011001101011
        dc.w    %0110101111010110
        dc.w    %0001110000111000
        dc.w    %0000001111000000

enn4:					; Sprite 32 * 32
        dc.w   1				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
        dc.w   31				; Taille du sprite Y ( 32-1 car boucle DBRA)
        dc.w   128				; Evite la multiplication ;)
        dc.l    %00000000000000011000000000000000	; Masque
        dc.l    %00000000000000011000000000000000
        dc.l    %01100000110000111100001100000110
        dc.l    %01100000110000111100001100000110
        dc.l    %11110000110001111110001100001111
        dc.l    %11111000110111111111101100011111
        dc.l    %11111101111111111111111110111111
        dc.l    %11111111111111111111111111111111
        dc.l    %11111111111111111111111111111111
        dc.l    %11111111111111111111111111111111
        dc.l    %11110111111011111111011111101111
        dc.l    %01100011111011111111011111000110
        dc.l    %01100001111011111111011110000110
        dc.l    %01100001111011111111011110000110
        dc.l    %11110001111011111111011110001111
        dc.l    %11110000110011111111001100001111
        dc.l    %11110000110111111111101100001111
        dc.l    %11110000111111111111111100001111
        dc.l    %11110000111111111111111100001111
        dc.l    %11110000111111111111111100001111
        dc.l    %11110000111111111111111100001111
        dc.l    %11110000111111111111111100001111
        dc.l    %11110000110111111111101100001111
        dc.l    %11110000110011111111001100001111
        dc.l    %11110000110011111111001100001111
        dc.l    %11110000110001111110001100001111
        dc.l    %11110000110001011010001100001111
        dc.l    %11110000110000011000001100001111
        dc.l    %11110000110000000000001100001111
        dc.l    %11110000110000000000001100001111
        dc.l    %11110000000000000000000000001111
        dc.l    %01100000000000000000000000000110
        dc.l    %00000000000000011000000000000000	; Noir + gris clair
        dc.l    %00000000000000011000000000000000
        dc.l    %00000000110000100100001100000000
        dc.l    %01100000110000100100001100000110
        dc.l    %10010000110001100110001100001001
        dc.l    %11110000110111000011101100001111
        dc.l    %10010101001110011001110010101001
        dc.l    %11110101111100111100111110101111
        dc.l    %10010101001111111111110010101001
        dc.l    %10010101111011111111011110101001
        dc.l    %11110101001010111101010010101111
        dc.l    %01100001001010111101010010000110
        dc.l    %00000001111001100110011110000000
        dc.l    %01100001001001100110010010000110
        dc.l    %11110001111011100111011110001111
        dc.l    %10010000110011111111001100001001
        dc.l    %10010000110111111111101100001001
        dc.l    %10010000111011011011011100001001
        dc.l    %10010000111001111110011100001001
        dc.l    %10010000111001111110011100001001
        dc.l    %10010000111101111110111100001001
        dc.l    %10010000111111111111111100001001
        dc.l    %10010000110111011011101100001001
        dc.l    %10010000110011111111001100001001
        dc.l    %10010000110011111111001100001001
        dc.l    %10010000110001111110001100001001
        dc.l    %10010000110000011000001100001001
        dc.l    %11110000110000000000001100001111
        dc.l    %11110000110000000000001100001111
        dc.l    %11110000110000000000001100001111
        dc.l    %01100000000000000000000000000110
        dc.l    %00000000000000000000000000000000
        dc.l    %00000000000000011000000000000000	; Noir + gris fonc
        dc.l    %00000000000000011000000000000000
        dc.l    %01100000110000111100001100000110
        dc.l    %01100000110000111100001100000110
        dc.l    %11110000000001011010000000001111
        dc.l    %10011000110110111101101100011001
        dc.l    %11111001111001111110011110111111
        dc.l    %10011011001011100111010011111001
        dc.l    %11111011111101000010111111111111
        dc.l    %11111011001111000011110011111111
        dc.l    %10010011111011100111011111101001
        dc.l    %01100011111001111110011111000110
        dc.l    %01100001001010111101010010000110
        dc.l    %00000001111010111101011110000000
        dc.l    %11110001001010011001010010001111
        dc.l    %11110000110010100101001100001111
        dc.l    %11110000110110100101101100001111
        dc.l    %11110000101110111101110100001111
        dc.l    %11110000010111100111101000001111
        dc.l    %11110000110111000011101100001111
        dc.l    %11110000011011000011011000001111
        dc.l    %11110000101101100110110100001111
        dc.l    %11110000110101111110101100001111
        dc.l    %11110000110011011011001100001111
        dc.l    %11110000110011011011001100001111
        dc.l    %11110000000001011010000000001111
        dc.l    %11110000110001011010001100001111
        dc.l    %01100000110000011000001100000110
        dc.l    %10010000110000000000001100001001
        dc.l    %11110000110000000000001100001111
        dc.l    %11110000000000000000000000001111
        dc.l    %01100000000000000000000000000110

enn5:
	include		"bonus.gfx"
enn6:
	include		"level1.gfx"
enn7:
	include		"level2.gfx"
enn8:
	include		"tracker.gfx"
enn9:
	include		"xwing.gfx"
enn10:
	dc.w    1				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
	dc.w    31				; Taille du sprite Y ( 16-1 car boucle DBRA)
	dc.w    128				; Evite la multiplication ;)
	include		"boss2M.gfx"
	include		"boss2.gfx"
enn11:
	include		"car.gfx"
enn12:
	include		"leviath.gfx"
enn13:
	include		"shooter.gfx"
enn14:
	include		"truck.gfx"
enn15:
	dc.w    1				; Taille du sprite X ( 0 = 16 bits , 1 = 32 bits )
	dc.w    31				; Taille du sprite Y ( 16-1 car boucle DBRA)
	dc.w    128				; Evite la multiplication ;)
	include		"level3M.gfx"
	include		"level3.gfx"
enn16:
	dc.w	0
	dc.w	9
	dc.w	20
	ds.b	20*3

; ********************************
; Description des trajectoires *
; ********************************

traj0:								; METABALL RIGHT
	dc.w	73		; Taille de la table
	include		"metleft.trj"

traj1:								; METABALL LEFT
	dc.w	73		; Taille de la table
	include		"metright.trj"

traj2:								; PUMPKINS RIGHT
	dc.w	161		; Taille de la table
	include		"pumright.trj"

traj3:								; PUMPKINS LEFT
	dc.w	161		; Taille de la table
	include		"pumleft.trj"

traj4:								; HARRIER
	dc.w	71		; Taille de la table
	include		"harrier.trj"

traj5:								; FLYING SAUCERS LEFT
	dc.w	97		; Taille de la table
	include		"sauleft.trj"

traj6:								; FLYING SAUCERS RIGHT
	dc.w	98		; Taille de la table
	include		"sauright.trj"

traj7:								; BOSS
	dc.w	130		; Taille de la table
	include		"boss.trj"

traj8:								; BONUS
	dc.w	142		; Taille de la table
	include		"bonus.trj"

traj9:								; TRACKER LEFT
	dc.w	124		; Taille de la table
	include		"trackerl.trj"

traj10:								; TRACKER RIGHT
	dc.w	124		; Taille de la table
	include		"trackerr.trj"

traj11:								; TRACKER RIGHT
	dc.w	289		; Taille de la table
	include		"boss2.trj"

traj12:								; CAR
	dc.w	71		; Taille de la table
	include		"car.trj"

traj13:								; LEVIATHAN LEFT
	dc.w	71		; Taille de la table
	include		"leviathL.trj"

traj14:								; LEVIATHAN RIGHT
	dc.w	71		; Taille de la table
	include		"leviathR.trj"

traj15:								; SHOOTER
	dc.w	284		; Taille de la table
	include		"shooter.trj"

traj16:								; TRUCK
	dc.w	102		; Taille de la table
	include		"truck.trj"

traj17:
	dc.w	48						; WHITE SPIRIT
	dc.b	14,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31
	dc.b	15,31

traj18:
	dc.w	5						; FINAL BOSS
	dc.b	87,72
	dc.b	88,72
	dc.b	88,72
	dc.b	88,72
	dc.b	88,72

; **********************************
; Description des dpart de tirs *
; **********************************

;tir:
;	dc.w	10		; Moment du tir par rapport au compteur de l'ennemi ( 1..65535 )
;	dc.w	1		; Choix du tir ennemi
				; 1 = Bazooka vers le bas
				; 2 = Triple vers le bas
				; 3 = Dirig vers le vaisseau
;	dc.b	0		; Coordonnes X (relatives  l'ennemi)
;	dc.b	0		; Coordonnes Y (relatives  l'ennemi)
;	dc.w	0		; Sortie de tir ( Timer impossible )

tir0:
	dc.w	0,0
	dc.b	0,0
	dc.w	0

tir1:
	dc.w	40,3
	dc.b	4,8
	dc.w	151,3
	dc.b	4,0
	dc.w	0

tir2:
	dc.w	38,3
	dc.b	4,8
	dc.w	149,3
	dc.b	4,0
	dc.w	0

tir3:
	dc.w	34,3
	dc.b	4,8
	dc.w	145,3
	dc.b	4,0
	dc.w	0

tir4:
	dc.w	36,3
	dc.b	4,8
	dc.w	147,3
	dc.b	4,0
	dc.w	0

tir5:
	dc.w	32,3
	dc.b	4,8
	dc.w	0

tir6:
	dc.w	23,3
	dc.b	4,8
	dc.w	0

tir7:
	dc.w	21,3
	dc.b	4,8
	dc.w	0

tir8:
	dc.w	30,3
	dc.b	4,8
	dc.w	0

tir9:
	dc.w	15,3
	dc.b	4,8
	dc.w	0

tir10:
	dc.w	21,2
	dc.b	12,24
	dc.w	43,2
	dc.b	12,24
	dc.w	64,2
	dc.b	12,24
	dc.w	86,2
	dc.b	12,24
	dc.w	107,2
	dc.b	12,24
	dc.w	129,2
	dc.b	12,24
	dc.w	0

tir11:
	dc.w	26,2
	dc.b	12,28
	dc.w	46,3
	dc.b	0,0
	dc.w	66,2
	dc.b	12,28
	dc.w	86,3
	dc.b	24,0
	dc.w	106,2
	dc.b	12,28
	dc.w	126,3
	dc.b	0,0
	dc.w	146,2
	dc.b	12,28
	dc.w	166,3
	dc.b	24,0
	dc.w	186,2
	dc.b	12,28
	dc.w	206,3
	dc.b	0,0
	dc.w	226,2
	dc.b	12,28
	dc.w	246,3
	dc.b	24,0
	dc.w	266,3
	dc.b	0,0
	dc.w	0

tir12:
	dc.w	10,1
	dc.b	4,16
	dc.w	40,1
	dc.b	4,16
	dc.w	70,1
	dc.b	4,16
	dc.w	0

tir13:
	dc.w	40,3
	dc.b	4,8
	dc.w	120,3
	dc.b	4,8
	dc.w	170,3
	dc.b	4,8
	dc.w	200,3
	dc.b	4,8
	dc.w	260,3
	dc.b	4,8
	dc.w	0

tir14:
	dc.w	2,3
	dc.b	88,8
	dc.w	7,3
	dc.b	88,80
	dc.w	9,3
	dc.b	104,16
	dc.w	11,3
	dc.b	144,56
	dc.w	12,3
	dc.b	8,56
	dc.w	16,3
	dc.b	64,8
	dc.w	19,3
	dc.b	128,24
	dc.w	21,3
	dc.b	24,64
	dc.w	26,3
	dc.b	144,32
	dc.w	28,3
	dc.b	8,32
	dc.w	30,3
	dc.b	48,16
	dc.w	34,3
	dc.b	24,24
	dc.w	36,3
	dc.b	48,72
	dc.w	40,3
	dc.b	64,80
	dc.w	41,3
	dc.b	104,72
	dc.w	45,3
	dc.b	128,64
	dc.w	0



; **** Scrolling : LEVEL 1 ****

		dc.b	2,0,2,2,1	;23
		dc.b	1,2,1,0,2
		dc.b	1,4,0,1,2
		dc.b	2,0,2,2,1
		dc.b	1,2,1,0,2
		dc.b	1,2,0,1,4
		dc.b	2,0,2,2,1
		dc.b	1,2,1,0,2
		dc.b	2,0,2,2,1
		dc.b	1,2,3,0,2
		dc.b	1,1,0,1,2
		dc.b	2,0,2,0,1
		dc.b	1,4,1,0,2
		dc.b	2,0,2,2,1
		dc.b	1,2,1,0,2
		dc.b	1,1,3,1,2
		dc.b	1,2,1,0,2
		dc.b	2,0,2,2,1
		dc.b	1,2,1,0,2
		dc.b	2,0,2,0,1
		dc.b	1,4,0,1,2
		dc.b	2,0,2,2,1
		dc.b	1,2,1,0,2	;1
MosData:	
		dc.b	2,0,2,2,1
		dc.b	1,2,1,0,2
		dc.b	1,4,0,1,2
		dc.b	2,0,2,2,1
		dc.b	1,2,1,0,2

; Double scrolling declaration

		dc.b	0,0,0,1,0
		dc.b	1,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,2,0,0
		dc.b	0,0,0,0,1
MosData2:
		dc.b	0,0,0,1,0
		dc.b	1,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,2,0,0
		dc.b	0,0,0,0,1

; Triple scrolling declaration

		dc.b	0,0,0,0,0
		dc.b	0,1,0,0,0
		dc.b	0,0,0,2,0
		dc.b	0,0,1,0,0
		dc.b	0,0,0,0,0
MosData3:
		dc.b	0,0,0,0,0
		dc.b	0,1,0,0,0
		dc.b	0,0,0,2,0
		dc.b	0,0,1,0,0
		dc.b	0,0,0,0,0

MosGFX:
	include	"BKetoi1.bkx"
	include	"BKetoi2.bkx"
	include	"BKetoi3.bkx"
	include	"BKplan1.bkx"
	include	"BKplan2.bkx"

MosGFX2:
	ds.b	4*32*4		; (4 * 32 = taille d'un sprite) * (4 = 4 infos)
	include	"star1.fkx"
	include	"star2.fkx"

; **** Scrolling : LEVEL 2 ****

		dc.b	0,1,0,0,2	; 15
		dc.b	1,0,1,3,0
		dc.b	0,3,3,0,2
		dc.b	2,1,0,1,3
		dc.b	3,0,3,0,0
		dc.b	0,1,0,0,2
		dc.b	1,0,0,3,0
		dc.b	3,0,3,0,2
		dc.b	2,2,0,3,0
		dc.b	1,0,3,0,0
		dc.b	0,3,0,0,2
		dc.b	1,3,1,3,0
		dc.b	3,0,3,0,0
		dc.b	2,1,0,0,3
		dc.b	3,0,3,0,0	; 1
MosData_2:	
		dc.b	0,1,0,0,2
		dc.b	1,0,1,3,0
		dc.b	0,3,3,0,2
		dc.b	2,1,0,1,3
		dc.b	3,0,3,0,0

; Double scrolling declaration

		dc.b	0,0,0,0,0	; 10
		dc.b	0,0,2,0,0
		dc.b	0,0,0,0,0
		dc.b	0,1,0,0,0
		dc.b	0,0,0,0,1
		dc.b	0,0,0,0,0
		dc.b	1,0,0,2,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0	; 1
MosData2_2:
		dc.b	0,0,0,0,0
		dc.b	0,0,2,0,0
		dc.b	0,0,0,0,0
		dc.b	0,1,0,0,0
		dc.b	0,0,0,0,1

; Triple scrolling declaration

		dc.b	0,0,0,1,0	; 10
		dc.b	2,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,1,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,2,0,0,0
		dc.b	0,0,0,0,0	; 1
MosData3_2:
		dc.b	0,0,0,1,0
		dc.b	2,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,1,0,0
		dc.b	0,0,0,0,0

MosGFX_2:
	ds.b		2*32*4		; (4 * 32 = taille d'un sprite) * (2 = 2 infos)
	include		"mer0.bkx"
	include		"mer1.bkx"
	include		"mer2.bkx"
	include		"mer3.bkx"

MosGFX2_2:
	ds.b		4*32*4		; (4 * 32 = taille d'un sprite) * (4 = 4 infos)
	include		"nuage0.fkx"
	include		"nuage1.fkx"

; **** Scrolling : LEVEL 3 ****

		dc.b	0,1,2,0,1	; 11
		dc.b	3,1,2,0,4
		dc.b	0,1,2,0,1
		dc.b	3,1,2,0,4
		dc.b	0,1,2,0,1
		dc.b	3,1,2,0,4
		dc.b	3,1,2,0,4
		dc.b	0,1,2,0,1
		dc.b	3,1,2,0,4
		dc.b	0,1,2,0,1
		dc.b	3,1,2,0,4	; 1
MosData_3:	
		dc.b	0,1,2,0,1
		dc.b	3,1,2,0,4
		dc.b	0,1,2,0,1
		dc.b	3,1,2,0,4
		dc.b	0,1,2,0,1

; Double scrolling declaration

		dc.b	0,1,0,2,0	; 10
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0	; 1
MosData2_3:
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0
		dc.b	0,1,0,2,0

; Triple scrolling declaration

		dc.b	0,0,0,0,0	; 10
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0	; 1
MosData3_3:
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0

MosGFX_3:
	include		"road1.bkx"
	include		"road2.bkx"
	include		"road3.bkx"
	include		"road4.bkx"
	include		"road5.bkx"

MosGFX2_3:
	ds.b	4*32*4			; (4 * 32 = taille d'un sprite) * (4 = 4 infos)
	include		"roul1.fkx"
	include		"roul2.fkx"

; **** Scrolling : FINAL ****

		dc.b	1,2,3,4,5
		dc.b	6,7,8,9,10
		dc.b	11,12,13,14,15
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
MosData_4:	
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0

; Double scrolling declaration

		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
MosData2_4:
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0

; Triple scrolling declaration

		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
MosData3_4:
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0
		dc.b	0,0,0,0,0


MosGFX_4:
	ds.b	4*32*2
	include		"1-1.bkx"
	include		"2-1.bkx"
	include		"3-1.bkx"
	include		"4-1.bkx"
	include		"5-1.bkx"
	include		"1-2.bkx"
	include		"2-2.bkx"
	include		"3-2.bkx"
	include		"4-2.bkx"
	include		"5-2.bkx"
	include		"1-3.bkx"
	include		"2-3.bkx"
	include		"3-3.bkx"
	include		"4-3.bkx"
	include		"5-3.bkx"

MosGFX2_4:
	ds.b	4*32*4			; (4 * 32 = taille d'un sprite) * (4 = 4 infos)

; ****** Fin du niveau ******

info_game:
	dc.b	"Episode 1 : Earth under attack !",0
	end
