; ti92		SET	1
; ti92plus	SET	1
ti89		SET	1

	IFD ti92
	include	"tios.h"
	include	"gray4lib.h"
	ENDIF

	IFND ti92
	include	"doorsos.h"
	include	"graphlib.h"
	ENDIF

	include	"copy_mem.h"
	include	"datagame.h"
	include	"gest_mem.h"
	include	"get_key.h"
	include	"gray_use.h"
	include	"sctlevel.h"
	include	"macro.h"
	include	"movefire.h"
	include	"moveship.h"
	include	"put_fire.h"
	include	"put_ship.h"
	include	"putsprit.h"
	include	"resetall.h"
	include	"sprites.h"
	include	"mouv_num.h"
	include	"init_lvl.h"
	include	"gest_enn.h"
	include	"put_text.h"
	include	"menus.h"
	include	"scroling.h"

	xdef	_main
	xdef	_comment

	IFD ti92plus
	xdef	_ti92plus
	ENDIF
	IFD ti89
	xdef	_ti89
	ENDIF

;-------------------------------------------------------------
; Program made with Fargo Program Editor v2.0
; Benoit SCHERRER - p.c.scherrer@wanadoo.fr
;-------------------------------------------------------------

;***************** Start of FARGO II Program ******************
_main:
	bsr		SelectLevel
	tst.w		d0
	beq		shut_down_menu
	cmp.l		#'SS68',2(a0)
	bne		shut_down_menu
	addq		#2,a0
	move.l		a0,save_level_add
	bsr		synchro_on

	jsr		gray_on
	tst.b		d0
	beq		shut_down
	bsr		create_memory
	tst.b		d0
	beq		shut_down_gray_off

	move.w	#0,quit
	move.l		#0,main_curseur
	move.l		#0,second_curseur
	move.w	#0,position
start:
	move.b	key,d0
	move.b	d0,old_key
	read_key
	move.b	$60001b,key

	bsr		scroll

	move.w	position,d0

	tst.b		d0
	bne		suite1
	bsr		movemain_curseur
	bsr		draw_menu1

	move.l		save_add11,a0
	move.l		save_add21,a1
	lea		menu_1,a2

	bsr		put_text
	bsr		maincurseur

	move.l		main_curseur,d1
	cmp.b		#0,d1
	bne		suite1

	IFND ti89
	move.w	#3,d1
	ENDIF
	IFD ti89
	move.w	#4,d1
	ENDIF
	bsr		get_key
	bne		suite1

	bsr		destroy_memory
	reinit_variables			; Reset pour nouveau jeu
	move.l		#1,current_level
	move.w	#-31,position_scrolling1
	move.w	#-31,position_scrolling2
	move.w	#-31,position_scrolling3
	move.b	#0,fire_type
	move.b	#4,vies
	move.l		#0,score_hex

	bsr		start_solar
	bsr		create_memory
suite1:
	
	move.l		main_curseur,d1
	cmp.b		#1,d1
	bne		suite2

	IFND ti89
	move.w	#3,d1
	ENDIF
	IFD ti89
	move.w	#4,d1
	ENDIF
	bsr		get_key
	bne		suite2

	move.w	continue_game,d1
	tst.b		d1
	beq		suite2
	bsr		destroy_memory
	bsr		start_solar
	bsr		create_memory
suite2:
	cmp.b		#2,d0
	bne		suite3
	bsr		draw_menu1
	move.l		save_add11,a0
	move.l		save_add21,a1
	lea		menu_4,a2
	bsr		put_text
	move.l		save_add11,a0
	move.l		save_add21,a1
	lea		high_score,a2
	lea		max_score,a3
	move.b	(a3)+,3(a2)
	move.b	(a3)+,4(a2)
	move.b	(a3)+,5(a2)
	move.b	(a3)+,6(a2)
	move.b	(a3)+,7(a2)
	move.b	(a3)+,8(a2)
	move.b	(a3)+,9(a2)
	bsr		put_text
	IFND ti89
	move.w	#3,d1
	ENDIF
	IFD ti89
	move.w	#4,d1
	ENDIF
	bsr		get_key
	bne		suite3
	move.w	#0,position

suite3:
	cmp.b		#3,d0
	bne		suite4
	bsr		movesecond_curseur
	bsr		draw_menu2
	move.l		save_add11,a0
	move.l		save_add21,a1
	lea		menu_2,a2

	bsr		put_text
	bsr		draw_menu3
	bsr		scrollchange
	bsr		contrast
	bsr		secondcurseur
suite4:

	cmp.b		#4,d0
	bne		suite5
	bsr		draw_menu2
	move.l		save_add11,a0
	move.l		save_add21,a1
	lea		menu_3,a2
	bsr		put_text
	IFND ti89
	move.w	#3,d1
	ENDIF
	IFD ti89
	move.w	#4,d1
	ENDIF
	bsr		get_key
	bne		suite5
	move.w	#0,position

suite5:

	IFND ti89
	bsr		title
	ENDIF

	move.l		save_add11,a0			; Charge les adresses
	move.l		save_add21,a1
	move.l		plane0,a2
	move.l		plane1,a3

	add		#1024,a0
	add		#1024,a1

	IFD ti89
	add		#997,a0
	add		#997,a1
	move.l		#99,d1
boucle_put_scrolly:
	move.l		#19,d2
boucle_put_scrollx:
	move.b	(a0)+,(a2)+
	move.b	(a1)+,(a3)+
	dbra		d2,boucle_put_scrollx
	add		#12,a0
	add		#12,a1
	add		#10,a2
	add		#10,a3
	dbra		d1,boucle_put_scrolly
	ENDIF

	IFND ti89
	move.l		#127,d1
boucle_put_scrolly:
	move.l		(a0)+,(a2)+
	move.l		(a1)+,(a3)+
	move.l		(a0)+,(a2)+
	move.l		(a1)+,(a3)+
	move.l		(a0)+,(a2)+
	move.l		(a1)+,(a3)+
	move.l		(a0)+,(a2)+
	move.l		(a1)+,(a3)+
	move.l		(a0)+,(a2)+
	move.l		(a1)+,(a3)+
	move.l		(a0)+,(a2)+
	move.l		(a1)+,(a3)+
	move.l		(a0)+,(a2)+
	move.l		(a1)+,(a3)+
	move.w	(a0),(a2)+
	move.w	(a1),(a3)+
	lea		4(a0),a0
	lea		4(a1),a1
	dbra.w		d1,boucle_put_scrolly
	ENDIF

	move.w	#1,d1
mainboucle:
	move.b	synchro,d0
	cmp.b		#12,d0
	beq		synchro_normal	; Passe si synchro = 12
	bra		mainboucle		; Boucle si synchro<1
synchro_normal:
	move.b	#0,synchro		; Reset la synchro
	dbra.w		d1,mainboucle

	move.w	quit,d7
	tst.b		d7
	beq		start

;*****************************
	bsr		destroy_memory
shut_down_gray_off:
	jsr		gray_off
shut_down:
	bsr		synchro_off
shut_down_menu:
	rts

_comment	dc.b	"SolarStriker 1.00",0

;********************** End of Program ************************
	end