initialize_level:
; Entre : D0.b = numro du niveau  utiliser

	and.l		#$000000FF,d0
	move.l		save_level_add,a0
	lea		4(a0),a0

	move.l		(a0)+,d1
	move.l		rec_niveau,d2
	cmp.b		d1,d2
	beq		no_cancel_continue
	move.l		d1,rec_niveau
	move.w	#0,continue_game
no_cancel_continue:

	move.w	(a0),d1
	cmp.b		d1,d0
	bhi		fin_jeu
	lea		2+4(a0),a0
	sub		#1,d0
	lsl.b		#2,d0
	lsl.b		#2,d1
	move.l		0(a0,d0.w),d3
	move.l		save_level_add,d2
	add.l		d3,d2
	move.l		d2,niveau_run
	add		d1,a0

	move.w	(a0)+,d0
	sub		#1,d0
	lea		ennemy_table,a1
\load_ennemy
	move.l		(a0)+,d1
	move.l		save_level_add,d2
	add.l		d1,d2
	move.l		d2,(a1)+
	dbra		d0,\load_ennemy
	move.w	(a0)+,d0
	sub		#1,d0
	lea		trajectory_table,a1
\load_trajectory
	move.l		(a0)+,d1
	move.l		save_level_add,d2
	add.l		d1,d2
	move.l		d2,(a1)+
	dbra		d0,\load_trajectory

	move.w	(a0)+,d0
	sub		#1,d0
	lea		tir_table,a1
\load_tir
	move.l		(a0)+,d1
	move.l		save_level_add,d2
	add.l		d1,d2
	move.l		d2,(a1)+
	dbra		d0,\load_tir

	move.l		niveau_run,a0

	move.w	(a0)+,scroll_mode
	move.w	(a0)+,timer_scrollreset1
	move.w	(a0)+,timer_scrollreset2
	move.w	(a0)+,timer_scrollreset3

	move.l		a0,memorize_scroling

	move.l		(a0)+,d1		; TILES
	move.l		save_level_add,d2
	add.l		d2,d1
	move.l		d1,background_tiles
	move.l		(a0)+,d1
	move.l		save_level_add,d2
	add.l		d2,d1
	move.l		d1,foreground_tiles
	move.l		d1,sforeground_tiles

	move.l		main_curseur,d1
	tst.b		d1
	bne		\no_reset_scrolling

	move.l		(a0)+,d1		; ADDR
	move.l		save_level_add,d2
	add.l		d2,d1
	move.l		d1,background_addr
	move.l		(a0)+,d1
	move.l		save_level_add,d2
	add.l		d2,d1
	move.l		d1,foreground_addr
	move.l		(a0)+,d1
	move.l		save_level_add,d2
	add.l		d2,d1
	move.l		d1,sforeground_addr

	move.w	(a0)+,background_offset
	move.w	(a0)+,foreground_offset
	move.w	(a0)+,sforeground_offset
	move.w	(a0)+,sforeground_itimer
	move.w	(a0)+,foreground_itimer
	move.w	(a0)+,background_itimer
	move.w	(a0)+,sforeground_timer
	move.w	(a0)+,foreground_timer
	move.w	(a0)+,background_timer

	bra		\reset_scrolling_ok
\no_reset_scrolling
	add		#(3*4)+(9*2),a0
\reset_scrolling_ok

	move.w	(a0)+,fg_enabled

	lea		ship_table,a1
	move.l		(a0)+,d1
	move.l		save_level_add,d2
	add.l		d1,d2
	move.l		d2,(a1)

	move.l		a0,niveau_run
	rts

fin_jeu:
	move.w	#1,jeu_gagne
	bsr		start_fin_transition
	lea		4(a7),a7
	bra		shift_ok


; ----- Tables en mmoire "morte" -----

ennemy_table:
	ds.l		256
trajectory_table:
	ds.l		256
tir_table:
	ds.l		256
ship_table:
	dc.l		0