; *************************************
; Affichage d'un ennemi et gestion *
; *************************************

place_ennemy		MACRO

	lea		ennemy_info,a3
	move.w	#14,d7
boucle_ennemy:
	move.w	(a3),d1
	tst.w		d1
	beq		no_ennemy_to_place
;ennemy_to_place

	lea		trajectory_table,a0
	clr.l		d2
	move.b	2(a3),d2
	lsl		#2,d2
	add		d2,a0
	move.l		(a0),a0		; A0 = position de la table  utiliser
	move.w	(a0),d0		; D0 = Timer max. de la table
	move.l		a0,a1
	cmp.w		d0,d1		; D1 = Timer actuel
	bne		noclear_ennemy

clear_ennemy:

	move.w	#0,(a3)

	move.b	5(a3),d3
	cmp.b		#5,d3
	bne		no_ennemy_suite
	clr.w		d3
	move.b	11(a3),d3
	move.w	d3,(a3)
	bra		boucle_ennemy
no_ennemy_suite:
	cmp.b		#3,d3
	bne		no_ennemy_to_place
	clr.w		d3
	move.b	11(a3),d3
	move.w	d3,(a3)
	bra		boucle_ennemy

noclear_ennemy:
	move.w	d1,d3
	lsl.w		#1,d1
	add.w		d1,a0
	add		#1,d3
	move.w	d3,(a3)
	clr.l		d0
	clr.l		d1
	clr.l		d2
	move.b	1(a0),d1		; Coordonnes Y
	move.b	6(a3),d2

	move.b	5(a3),d3
	cmp.b		#1,d3
	bne		calcul_normal
	move.b	11(a3),d3
	tst.b		d3
	bne		special_calcul

calcul_normal:
	move.b	(a0),d0

special_calcul:
	add		d2,d0			; Coordonnes X

	move.b	5(a3),d3
	cmp.b		#5,d3
	bne		test_suite
	move.b	11(a3),d3
	tst.b		d3
	bne		no_reacwith_Y
	move.b	(a0),d3
	move.b	2(a1),d4
	cmp.b		d3,d4
	beq		no_reacwith_Y
	clr.w		d3
	move.w	(a3),d3
	move.b	d3,11(a3)
	bra		no_reacwith_Y
test_suite:
	cmp.b		#3,d3
	bne		test_reacy
	move.b	11(a3),d3
	tst.b		d3
	bne		no_reacwith_Y
	move.b	(a0),d3
	move.b	2(a1),d4
	cmp.b		d3,d4
	beq		no_reacwith_Y
	clr.w		d3
	move.w	(a3),d3
	move.b	d3,11(a3)
	bra		no_reacwith_Y

test_reacy:
	move.b	5(a3),d3
	cmp.b		#1,d3
	bne		no_reacwith_Y

; Mouvements spcial droite ou gauche

	move.b	11(a3),d3
	tst.b		d3
	beq		initialize_mouvreac
;continue_mouvreac
	cmp.b		#1,d3
	beq		sub_x_mouvreac
;add_x_mouvreac
	add		#3,d0
	move.b	d0,6(a3)
	move.w	(a3),d4
	sub		#1,d4
	move.w	d4,(a3)
	cmp		#176,d0
	bhi		clear_ennemy	
	bra		no_reacwith_Y
sub_x_mouvreac:
	sub		#3,d0
	move.b	d0,6(a3)
	move.w	(a3),d4
	sub		#1,d4
	move.w	d4,(a3)
	cmp		#3,d0
	bls		clear_ennemy	
	bra		no_reacwith_Y
initialize_mouvreac:
	move.l		yship,d3
	cmp.b		d3,d1
	bls		no_reacwith_Y
	move.l		xship,d3
	cmp.b		d0,d3
	bls		init_versgauche
;init_versdroite
	move.b	#2,11(a3)
	move.b	d0,6(a3)
	bra		no_reacwith_Y
init_versgauche:
	move.b	#1,11(a3)
	move.b	d0,6(a3)
	bra		no_reacwith_Y
no_reacwith_Y:
	movem.l	d0-d1,-(a7)

	lea		ennemy_table,a0	; Image du sprite en direct adressage
	clr.l		d6
	move.b	3(a3),d6
	lsl		#2,d6
	move.l		0(a0,d6.w),a0
	move.w	(a0),d6

	collision_tirs_vs_ennemis

positioning_ennemy:

	lea		ennemy_table,a0	; Image du sprite en direct adressage
	clr.l		d0
	move.b	3(a3),d0
	lsl		#2,d0
	move.l		0(a0,d0.w),a0

	move.l		save_add1,a1
	move.l		save_add2,a2

	move.b	7(a3),d0
	move.b	8(a3),d1

	bsr		calcul_anim

	move.b	d1,8(a3)

	movem.l	(a7)+,d0-d1	

	start_ennemy_fire

	jsr		putsprite

no_ennemy_to_place:

	add		#12,a3
	dbra.b		d7,boucle_ennemy
	ENDM

; ****************************************
; Calcul de la position de l'animation *
; ****************************************

; ENTREE
; A0 : Dbut du sprite
; D0 : Nombre total d'animations (0..63)
; D1 : Nombre courant de l'animation (0..255)

; SORTIE
; A0 : Position en mmoire
; D1 : Nouveau nombre courant de l'animation (0..255)

calcul_anim:
	tst.b		d0
	beq		fin_calcul

	add		#1,d0
	clr.w		d2
	move.b	d1,d2
	lsr.b		#2,d2
	cmp.b		d0,d2
	beq		reset_anim

	move.w	4(a0),d0
	move.w	d0,d3
	lsl		#1,d3
	add		d3,d0
	add		#6,d0
	mulu.w		d0,d2	
	add		d2,a0

	add		#1,d1
	bra		fin_calcul

reset_anim:
	clr.b		d1

fin_calcul:
	rts