;**************************
; Affiche l'tat des vies *
;**************************

put_life		MACRO

	lea		vies_i,a0
	clr.w		d0
	move.b	vies,d0
	cmp.b		#9,d0
	bls		\no_correction_vies
	move.b	#9,vies
\no_correction_vies

	IFND ti89
	add		d0,d0
	move.w	d0,d1
	lsl		#4,d0
	sub		d1,d0		; Multiple de 30
	add		d0,a0
	move.l		plane0,a1
	move.l		plane1,a2
	add		#2557,a1
	add		#2557,a2
	move.w	#14,d0
\boucle_put_live:
	move.b	(a0),d1
	move.b	#$FF,(a1)
	or.b		d1,(a1)+
	move.b	(a0)+,(a2)+
	move.b	(a0),d1
	move.b	#$FF,(a1)
	or.b		d1,(a1)
	move.b	(a0)+,(a2)
	lea		29(a1),a1
	lea		29(a2),a2
	dbra		d0,\boucle_put_live
	ENDIF

	IFD ti89
	move.w	d0,d1
	lsl.w		#2,d0
	lsl.w		#3,d1
	add		d1,d0
	add		d0,a0
	move.l		plane0,a1
	move.l		plane1,a2
	add		#94*30+14,a1
	add		#94*30+14,a2
	move.w	#5,d0
\boucle_put_live:
	move.w	(a0)+,(a2)
	move.w	#$FFFF,(a1)
	lea		30(a1),a1
	lea		30(a2),a2
	dbra		d0,\boucle_put_live
	ENDIF
	ENDM

;***************************
; Transition de fin du jeu *
;***************************

start_fin_transition:
	move.l		#143,yship
	move.w	#0,continue_game
	move.l		save_add1,a4		; Partie 1
	move.w	#3072,d1
put_lignetrans1:
	move.b	#$FF,(a4)+
	dbra		d1,put_lignetrans1
	copy_vmem_to_tscr
	move.w	#30000,d1
wait_for_blank1:
	nop
	nop
	nop
	nop
	nop
	dbra		d1,wait_for_blank1

	move.l		save_add2,a4		; Partie 2
	move.w	#3072,d1
put_lignetrans2:
	move.b	#$FF,(a4)+
	dbra		d1,put_lignetrans2
	copy_vmem_to_tscr
	move.w	#65000,d1
wait_for_blank2:
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	dbra		d1,wait_for_blank2

	move.l		save_add1,a4		; Partie 3
	move.l		save_add2,a5
	move.w	#3072,d1
put_lignetrans3:
	move.b	#0,(a4)+
	move.b	#0,(a5)+
	dbra		d1,put_lignetrans3
	copy_vmem_to_tscr
	move.w	#65000,d1
wait_for_blank3:
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	dbra		d1,wait_for_blank3

	move.w	jeu_gagne,d0
	tst.b		d0
	bne		suite_gagne

	move.l		save_add1,a0		; Affichage de l'image de fin1
	move.l		save_add2,a1
	lea		crash,a2
	move.l		a2,a3
	add		#616,a3
	add		#14,a0
	add		#14,a1
	move.w	#76,d0
boucle_picture1:
	move.w	#7,d1
boucle_picture2:
	move.b	(a2)+,(a0)+
	move.b	(a3)+,(a1)+
	dbra		d1,boucle_picture2
	lea		16(a0),a0
	lea		16(a1),a1
	dbra		d0,boucle_picture1

suite_gagne:

	move.l		save_add1,a0		; Affichage de l'image de fin2
	move.l		save_add2,a1
	lea		gameover,a2
	add		#2187,a0
	add		#2163,a1
	move.w	#29,d0
boucle_picture12:
	move.w	#17,d1
boucle_picture22:
	move.b	(a2),(a0)+
	move.b	(a2)+,(a1)+
	dbra		d1,boucle_picture22
	lea		6(a0),a0
	lea		6(a1),a1
	dbra		d0,boucle_picture12

	copy_vmem_to_tscr

	move.l		score_hex,d0
	move.l		mscore_hex,d1
	cmp.l		d0,d1
	bhi		wait_for_shift

	lea		score,a0
	lea		max_score,a1
	move.l		(a0)+,(a1)+
	move.b	(a0)+,(a1)+
	move.b	(a0)+,(a1)+
	move.b	(a0)+,(a1)+
	move.b	#0,(a1)
	move.l		score_hex,mscore_hex

	IFD ti89
	move.w		#30,Taille_ecran
	lea			new_hiscore,a2
	move.w		#5,d0
	move.w		#45,d1
	move.b		#1,d2
	move.l			plane0,a0
	move.l			plane1,a1
	bsr			put_string
	ENDIF

	IFND ti89
	move.w		#30,Taille_ecran
	lea			new_hiscore,a2
	move.w		#85,d0
	move.w		#75,d1
	move.b		#1,d2
	move.l			plane0,a0
	move.l			plane1,a1
	bsr			put_string
	ENDIF

	move.w		jeu_gagne,d0
	tst.b			d0
	beq			no_win

	IFD ti89
	move.w		#30,Taille_ecran
	lea			congrat,a2
	move.w		#195,d0
	move.w		#20,d1
	move.b		#1,d2
	move.l			plane0,a0
	move.l			plane1,a1
	bsr			put_string
	ENDIF

	IFND ti89
	move.w		#30,Taille_ecran
	lea			congrat,a2
	move.w		#117,d0
	move.w		#60,d1
	move.b		#1,d2
	move.l			plane0,a0
	move.l			plane1,a1
	bsr			put_string
	ENDIF

no_win:

	move.w	#0,jeu_gagne

wait_for_shift:
	read_key
	IFD ti89
	btst.b		#5,$60001b
	ENDIF
	IFND ti89
	btst.b		#2,$60001b
	ENDIF
	bne		wait_for_shift

	rts
